/************************************************************************
 *
 * Editor for FPLO-package input files via hotkey-oriented menus
 * (C) Klaus Koepernik April '98
 *
 * **********************************************************************
 */
#ifndef _MAIN_H_
#define _MAIN_H_

#define BUFFER_MAX_STRING 5000

#define max(i,j) ( ((i)>j?i:j) )
#define min(i,j) ( ((i)<j?i:j) )
#define isig(x,y) ( (x)*((y)==0 ? 1 :(y)/abs(y)) )
#define ffsig(x,y) ( (x)*((y)==0. ? 1.:(y)/fabs(y)) )
#define round(x) ((x)>0. ?((long)(x+.5)) :((long)(x-.5)))


#define  landscape 1
#define  portrait  0


#define   block  0
#define   center 1
#define   right  2


typedef struct viewport{
  long x0,y0,x1,y1;
  double scale;
} VIEWPORT;

typedef struct world{
  double e0,e1,k0,k1;
} WORLD;



#endif /* _MAIN_H_ */
/* EOF */
