#include<stdlib.h>
#include<stdio.h>
#include"VarNode.hh"  
#include"CalcDriver.hh"  


int main(int argc,const char **argv)
{
  VarNode vtable;
  
  CalcDriver calcdriver;
  calcdriver.setTraceParsing(false);
  calcdriver.setTraceScanning(false);
  //calcdriver.setTraceParsing(true);
  //calcdriver.setTraceScanning(true);

  // printf("here\n");
  // exit(0);
  //String s="b=atan(1,1)*4";
  long ret=calcdriver.parse(&vtable,"stdin",stdin);
  //ret=calcdriver.parse(&vtable,s());
  if(!ret){
    String t=Sprintf("%s",calcdriver.result().printS("%-30.16g")()).stripBlanks();
    printf("#variable table\n%s\nRESULT=%s\n",vtable.printS()(),t()); 
  }else{
    fprintf(stderr,"%s\n",calcdriver.errorMsg()());
  }
  
//   vtable.clear();
//   printf("AFTER CLEAR#variable table\n%s\n",vtable.printS()()); 

//   VarNodeIterator it(&vtable);
//   while(VarNode *v=it.next()){
//     printf("%s=%g\n",v->name()(),v->value());
//   }

  return ret;
}
