/* @(#)Piper.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _PIPERXX_H
#define _PIPERXX_H 1

#include <stdio.h>
#include "FString.hh"



class ScanWordArray;

/* ***********************************************************************
 *
 * ***********************************************************************
 */
class Piper
{
public:
  Piper(FILE *fh);
  ~Piper(){};
  //
  int getPipeKey();
  //
  void setPipeMode(long m){pipemode=m;};
  //
  void nextpipeline() {nextline=1;};
  //void debugpipe(){ pipedebug=1;};
  //
  void copyExpandPlaceHolders(String &dest,String const &src);
  //
  void message(String const &msg) const;
  void message(String const &title,String const &msg)const ;
  //
private:
  //
  void eatup();
  String pipeRegexReplace(String const &text,StringList const &list);
  //
private:
  long pline;
  long linestart;
  long hotstart;
  long searchstart;
  long commandstart;
  long argstart;
  long nextline;
  String buffer;
  FILE *file;
  String eatupbuffer;
  long pipedebug;
  long pipemode;
};




#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _PIPERXX_H */

