/* @(#)Styles.h
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _STYLESXX_H
#define _STYLESXX_H 1

#include <curses.h>

#if !defined (NO_COLOR_CURSES)  

#define SS_STYLE_NORMAL      COLOR_PAIR(1) 
#define SS_STYLE_MENUHIGH    COLOR_PAIR(2) 
#define SS_STYLE_ENTRYHIGH   COLOR_PAIR(3) 
#define SS_STYLE_ENTRYSEARCH COLOR_PAIR(2) 
#define SS_STYLE_HINT        COLOR_PAIR(4) 
#define SS_COLOR_MASK   ( SS_STYLE_NORMAL | \
			  SS_STYLE_MENUHIGH | \
			  SS_STYLE_ENTRYHIGH | \
			  SS_STYLE_ENTRYSEARCH | \
			  SS_STYLE_HINT )  
#else 
#define SS_STYLE_NORMAL      A_NORMAL
#define SS_STYLE_MENUHIGH    A_BOLD 
#define SS_STYLE_ENTRYHIGH   A_BOLD 
#define SS_STYLE_ENTRYSEARCH A_BOLD 
#define SS_STYLE_HINT        A_STANDOUT 
#define SS_COLOR_MASK 0x0
#endif  /* NO_COLOR_CURSES */


#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _STYLESXX_H */

