/* @(#)csystem.c
 */
#include <stdio.h>
#define __USE_BSD
#include <stdlib.h>
/* #include <math.h> */
#include <unistd.h>
#include <ctype.h>
#include "fortrantypes.h"
#include "cio.h"
#include "merror.h"

/* ***********************************************************************
 * wrapper for  f90 to C calls
 * dont use them in c code !!!
 * ***********************************************************************
 */


/* ***********************************************************************
 *
 * ***********************************************************************
 */
void CFUNC(cgethostname)(char *result,FPLOLOGICAL *err,char *errormsg
			 ,INTERNAL_INTEGER result_len,INTERNAL_INTEGER err_len)
{
  char buf[5001];

  
  *err=L_FALSE;
  
  gethostname(buf,5000);

  if(!c2fstrncpy(result,buf,(long)result_len,0L))
    goto error;
  
  return ;
 error:
  (void)c2fstrncpy(errormsg,errorbuffer,(long)err_len,1L);
  *err=L_TRUE;
  return ;
  
}



/* ***********************************************************************
 *
 * ***********************************************************************
 */
void CFUNC(cgetpid)(FPLOINTEGER *result)
{
  
  *result=(FPLOINTEGER)getpid();

  return ;
  
}


/* ***********************************************************************
 *
 * ***********************************************************************
 */
void CFUNC(ctolower)(char *result,INTERNAL_INTEGER result_len)
{
  *result=tolower(*result);
  return ;
}

/* ***********************************************************************
 *
 * ***********************************************************************
 */
void CFUNC(ctoupper)(char *result,INTERNAL_INTEGER result_len)
{
  
  *result=toupper(*result);

  return ;
  
}



/* ***********************************************************************
 * call BSD erf function
 * ***********************************************************************
 */
/*
void CFUNC(cerf)(FPLODOUBLEPRECISION *x,FPLODOUBLEPRECISION *res)
{
  *res=(FPLODOUBLEPRECISION)erf(((double)*x));
  return ;
  
}
*/
/* EOF */


