/* @(#)idparser.h
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _IDPARSER_H
#define _IDPARSER_H 1


struct vartable;

/* ***********************************************************************
 * vnparser data type for creation table scan
 * ***********************************************************************
 */

typedef struct tstablescan{
  struct vartable *list;
  struct vartable *currentnode;
  struct vartable *node;
  char name[10000+1];
  long index[8];
  long rank;
  long scalartype;
  long structuretype;
  long undef;
}tsTABLESCAN;



/* callback function for varname parser */
typedef struct vartable *(*VNPARSER_CALLBACK)(long vnptype,const void *id,void *data);

#ifdef	__cplusplus
extern "C" {
#endif

  /* a vnparser callback function */
  extern struct vartable *vt_creation_cb(long vnptype,const void *id,void *data);
  /* THE vnparser */
  extern struct vartable *parse_varname(const char *name
					,VNPARSER_CALLBACK callback
					,tsTABLESCAN *data);


#ifdef	__cplusplus
}
#endif


#endif /* _IDPARSER_H */

