/* @(#)MinEnums.h
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _MINENUMS_H
#define _MINENUMS_H 1


#include "FString.hh"

class MinEnums{
  public:
  enum Method{None=0,Minimize=1,Curve=2};

  static Method methodFromString(const String &);

  static const char *methodGuiName(Method m){
    return pmethods[m].guiname;};

 private:
  // some internal user interface information
  struct tsMethod{
    Method type;
    const char * guiname;
  };
  
  static const tsMethod pmethods[];
  static const long pmaxmethods;

};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _MINENUMS_H */

