Module terg
  !!
  Use precisiondefs
  !!
  Implicit None 
  !!
  Private
  !!
  Character(*),Parameter::nmodule="TERG"  
  !!
  Public :: T_Etotstack,init_etotstack,T_etot,init_etot
  !!***********************************************************************
  !!
  Type T_Etotstack
     !! tolerance of total energy (iteration aborts below this)
     Real(t_real) :: etot_tolerance
     !! max number of remembered total energies
     Integer(t_int):: nmax
     !! current etot on stack
     Integer(t_int):: icur
     !! stack of etots
     Logical(t_log) :: etotconv
     Real(t_real),Pointer :: p_stack(:)
  End Type T_Etotstack
  !!
  Type T_Etot
     Logical(t_log)     :: etot_calc
     !!
     !!
     Real(t_real)   :: env,envc,eh0,exc,envxc,ecore,etot,bandenergy(2),Eent(2)
  End Type T_Etot
  !!***********************************************************************
Contains
  !!***********************************************************************
  Subroutine init_etot(et)
    Implicit None 
    !!IO
    Type(T_Etot),Intent(inout) :: et
    !!LOCAL
    et% etot_calc=.True.
    !!
  End Subroutine init_etot
  !!***********************************************************************
  Subroutine init_etotstack(ets)
    Implicit None 
    !!IO
    Type(T_Etotstack),Intent(inout) :: ets
    !!LOCAL
    Nullify(ets% p_stack)
    !!
  End Subroutine init_etotstack
  !!***********************************************************************
End Module terg
