Module ttopoins
  !!
  Use precisiondefs
  !!
  Implicit None 
  !!
  Private
  !!
  Character(*),Parameter::nmodule="TTOPOINS"  
  !!
  Public :: T_TopoIns,init_topoins
  !!***********************************************************************
  Type T_TopoIns
     !! is the module active?
     Logical(t_log) :: active
     !!  are there reasons not to proceed
     Logical(t_log) :: readytoproceed
     !! can the system have a Z2
     Logical(t_log) :: hasZ2
     !! for Z2
     !! the time reversal invariant points
     Real(t_real)   :: gammas(3,8)
     Character(3)   :: lgammas(8)
     Integer(t_int) :: mapnu(8,0:3)
     !! the index of the inversion 
     Integer(t_int) :: jopsinv
  End Type T_TopoIns
  !!***********************************************************************
Contains
  !!***********************************************************************
  Subroutine init_topoins(ti)
    !!
    Implicit None
    !!IO
    Type(T_TopoIns),Intent(inout) ::ti
    !!LOCAL
    !Character(*),Parameter::nsubfunc="init_topoins"
    !!
    ti% active=.False.
    ti% hasZ2=.False.
    ti% readytoproceed=.False.
    !!
    !!
    Return
    !!
  End Subroutine init_topoins
  !!***********************************************************************
  
End Module ttopoins
