/************************************************************************
 *
 * graphic package for FPLO
 * (C) Klaus Koepernik April '98
 *
 * to calculate data, which are better stored in static const arrays  
 *
 * **********************************************************************
 */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "symmetryinternal.h"
#include "fsymmetry.h"
#include "tools.h"
#include "merror.h"


/* void getmasksinternal(const char *ops[]) */
/* { */
/*   long ind,n,n0; */
/*   const char *p; */
/*   char *p1; */
/*   char buf[30]; */
/*   char  opi[64][30]; */
/*   char  ope[64][30]; */
/*   char  c6[64][30]; */
/*   char  s6[64][30]; */
/*   char  c3[64][30]; */
/*   char  s3[64][30]; */
/*   char  c4[64][30]; */
/*   char  c2[64][30]; */
/*   char  s4[64][30]; */
/*   char  s2[64][30]; */
/*   char *pg; */
/*   FILE *FH; */
/*   FH=fopen("masks.h","w"); */
/*   for(ind=0;ind<64;ind++){ */
/*       (void)sprintf(c2[ind],"0"); */
/*     p=ops[ind+1]; */
/*     n0=strcspn(p,"("); */
/*     if(strstr(p,"C2") == p && n0==2){ */
/*       n=strcspn(p+n0+1,")"); */
/*         (void)strncpy0(buf,p+n0+1,n); */
/*       p1=strstr(buf,"-"); */
/*       if(p1) *p1='m'; */
/*         (void)fprintf(FH,"#define nc2%s %ld\n",buf,ind);   */
/*         (void)sprintf(c2[ind],"nu1%sAxis",buf);   */

/*     } */
/*       (void)sprintf(c4[ind],"0"); */
/*     p=ops[ind+1]; */
/*     n0=strcspn(p,"("); */
/*     if(strstr(p,"C1/4") == p && n0==4){ */
/*       n=strcspn(p+n0+1,")"); */
/*         (void)strncpy0(buf,p+n0+1,n); */
/*       p1=strstr(buf,"-"); */
/*       if(p1) *p1='m'; */
/*         (void)fprintf(FH,"#define nc14%s %ld\n",buf,ind);   */
/*         (void)sprintf(c4[ind],"nu1%sAxis",buf);   */

/*     } */

/*     (void)sprintf(s4[ind],"0"); */
/*     p=ops[ind+1]; */
/*     n0=strcspn(p,"("); */
/*     if(strstr(p,"S1/4") == p && n0==4){ */
/*       n=strcspn(p+n0+1,")"); */
/*         (void)strncpy0(buf,p+n0+1,n); */
/*       p1=strstr(buf,"-"); */
/*       if(p1) *p1='m'; */
/*       (void)fprintf(FH,"#define ns14%s %ld\n",buf,ind);   */
/*       (void)sprintf(s4[ind],"nu1%sAxis",buf);   */

/*     } */

/*     (void)sprintf(s6[ind],"0"); */
/*     p=ops[ind+1]; */
/*     n0=strcspn(p,"("); */
/*     if(strstr(p,"S1/6") == p && n0==4){ */
/*       n=strcspn(p+n0+1,")"); */
/*       (void)strncpy0(buf,p+n0+1,n); */
/*       p1=strstr(buf,"-"); */
/*       if(p1) *p1='m'; */
/*       p1=strstr(buf,"-"); */
/*       if(p1) *p1='m'; */
/*       (void)fprintf(FH,"#define ns16%s %ld\n",buf,ind);   */
/*       (void)sprintf(s6[ind],"nu1%sAxis",buf);   */

/*     } */

/*     (void)sprintf(s2[ind],"0"); */
/*     p=ops[ind+1]; */
/*     n0=strcspn(p,"("); */
/*     if(strstr(p,"s") == p && n0==1 ){ */
/*       n=strcspn(p+n0+1,")"); */
/*       (void)strncpy0(buf,p+n0+1,n); */
/*       p1=strstr(buf,"-"); */
/*       if(p1) *p1='m'; */
/*       (void)fprintf(FH,"#define ns%s %ld\n",buf,ind);   */
/*       (void)sprintf(s2[ind],"nu1%sAxis",buf);   */

/*     } */


/*     (void)sprintf(c3[ind],"0"); */
/*     p=ops[ind+1]; */
/*     n0=strcspn(p,"("); */
/*     if(strstr(p,"C1/3") == p && n0==4){ */
/*       n=strcspn(p+n0+1,")"); */
/*       (void)strncpy0(buf,p+n0+1,n); */
/*       p1=strstr(buf,"-"); */
/*       if(p1) *p1='m'; */
/*       p1=strstr(buf,"-"); */
/*       if(p1) *p1='m'; */
/*       (void)fprintf(FH,"#define nc13%s %ld\n",buf,ind);   */
/*       (void)sprintf(c3[ind],"nu1%sAxis",buf);   */

/*     } */

/*     (void)sprintf(c6[ind],"0"); */
/*     p=ops[ind+1]; */
/*     n0=strcspn(p,"("); */
/*     if(strstr(p,"C1/6") == p && n0==4){ */
/*       n=strcspn(p+n0+1,")"); */
/*       (void)strncpy0(buf,p+n0+1,n); */
/*       p1=strstr(buf,"-"); */
/*       if(p1) *p1='m'; */
/*       p1=strstr(buf,"-"); */
/*       if(p1) *p1='m'; */
/*       (void)fprintf(FH,"#define nc16%s %ld\n",buf,ind);   */
/*       (void)sprintf(c6[ind],"nu1%sAxis",buf);   */

/*     } */

/*     (void)sprintf(s3[ind],"0"); */
/*     p=ops[ind+1]; */
/*     n0=strcspn(p,"("); */
/*     if(strstr(p,"S1/3") == p && n0==4){ */
/*       n=strcspn(p+n0+1,")"); */
/*       (void)strncpy0(buf,p+n0+1,n); */
/*       p1=strstr(buf,"-"); */
/*       if(p1) *p1='m'; */
/*       (void)fprintf(FH,"#define ns13%s %ld\n",buf,ind);   */
/*       (void)sprintf(s3[ind],"nu1%sAxis",buf);   */

/*     } */

/*     (void)sprintf(opi[ind],"0"); */
/*     p=ops[ind+1]; */
/*     if(strstr(p,"I") == p ){ */
/*       (void)fprintf(FH,"#define ninv %ld\n",ind);   */
/*       (void)sprintf(opi[ind],"nu1inv");   */
      
/*     } */

/*     (void)sprintf(ope[ind],"0"); */
/*     p=ops[ind+1]; */
/*     if(strstr(p,"E") == p ){ */
/*       (void)fprintf(FH,"#define nunity %ld\n",ind);   */
/*       (void)sprintf(ope[ind],"nu1unity");   */
      
/*     } */
/*   } */

/*   pg=c2[0]; */
/*   (void)fprintf(FH,"static const long maskc2[64]={\n"); */
/*   for(ind=0;ind<64;ind++){ */
/*     if( ind>0 ) { (void)fprintf(FH,","); } */
/*     (void)fprintf(FH,"%s",pg+ind*30); */
/*     if(ind==23){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8+24){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8+24+8){      (void)fprintf(FH,"\n");    } */

/*   } */
/*   (void)fprintf(FH,"};\n"); */

/*   pg=s2[0]; */
/*   (void)fprintf(FH,"static const long masks2[64]={\n"); */
/*   for(ind=0;ind<64;ind++){ */
/*     if( ind>0 ) { (void)fprintf(FH,","); } */
/*     (void)fprintf(FH,"%s",pg+ind*30); */
/*     if(ind==23){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8+24){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8+24+8){      (void)fprintf(FH,"\n");    } */

/*   } */
/*   (void)fprintf(FH,"};\n"); */

/*   pg=c4[0]; */
/*   (void)fprintf(FH,"static const long maskc4[64]={\n"); */
/*   for(ind=0;ind<64;ind++){ */
/*     if( ind>0 ) { (void)fprintf(FH,","); } */
/*     (void)fprintf(FH,"%s",pg+ind*30); */
/*     if(ind==23){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8+24){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8+24+8){      (void)fprintf(FH,"\n");    } */

/*   } */
/*   (void)fprintf(FH,"};\n"); */

/*   pg=s4[0]; */
/*   (void)fprintf(FH,"static const long masks4[64]={\n"); */
/*   for(ind=0;ind<64;ind++){ */
/*     if( ind>0 ) { (void)fprintf(FH,","); } */
/*     (void)fprintf(FH,"%s",pg+ind*30); */
/*     if(ind==23){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8+24){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8+24+8){      (void)fprintf(FH,"\n");    } */

/*   } */
/*   (void)fprintf(FH,"};\n"); */

/*   pg=c3[0]; */
/*   (void)fprintf(FH,"static const long maskc3[64]={\n"); */
/*   for(ind=0;ind<64;ind++){ */
/*     if( ind>0 ) { (void)fprintf(FH,","); } */
/*     (void)fprintf(FH,"%s",pg+ind*30); */
/*     if(ind==23){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8+24){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8+24+8){      (void)fprintf(FH,"\n");    } */

/*   } */
/*   (void)fprintf(FH,"};\n"); */

/*   pg=s3[0]; */
/*   (void)fprintf(FH,"static const long masks3[64]={\n"); */
/*   for(ind=0;ind<64;ind++){ */
/*     if( ind>0 ) { (void)fprintf(FH,","); } */
/*     (void)fprintf(FH,"%s",pg+ind*30); */
/*     if(ind==23){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8+24){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8+24+8){      (void)fprintf(FH,"\n");    } */

/*   } */
/*   (void)fprintf(FH,"};\n"); */

/*   pg=c6[0]; */
/*   (void)fprintf(FH,"static const long maskc6[64]={\n"); */
/*   for(ind=0;ind<64;ind++){ */
/*     if( ind>0 ) { (void)fprintf(FH,","); } */
/*     (void)fprintf(FH,"%s",pg+ind*30); */
/*     if(ind==23){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8+24){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8+24+8){      (void)fprintf(FH,"\n");    } */

/*   } */
/*   (void)fprintf(FH,"};\n"); */


/*   pg=s6[0]; */
/*   (void)fprintf(FH,"static const long masks6[64]={\n"); */
/*   for(ind=0;ind<64;ind++){ */
/*     if( ind>0 ) { (void)fprintf(FH,","); } */
/*     (void)fprintf(FH,"%s",pg+ind*30); */
/*     if(ind==23){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8+24){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8+24+8){      (void)fprintf(FH,"\n");    } */

/*   } */
/*   (void)fprintf(FH,"};\n"); */

/*   pg=opi[0]; */
/*   (void)fprintf(FH,"static const long maskopi[64]={\n"); */
/*   for(ind=0;ind<64;ind++){ */
/*     if( ind>0 ) { (void)fprintf(FH,","); } */
/*     (void)fprintf(FH,"%s",pg+ind*30); */
/*     if(ind==23){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8+24){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8+24+8){      (void)fprintf(FH,"\n");    } */

/*   } */
/*   (void)fprintf(FH,"};\n"); */

/*   pg=ope[0]; */
/*   (void)fprintf(FH,"static const long maskope[64]={\n"); */
/*   for(ind=0;ind<64;ind++){ */
/*     if( ind>0 ) { (void)fprintf(FH,","); } */
/*     (void)fprintf(FH,"%s",pg+ind*30); */
/*     if(ind==23){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8+24){      (void)fprintf(FH,"\n");    } */
/*     if(ind==23+8+24+8){      (void)fprintf(FH,"\n");    } */

/*   } */
/*   (void)fprintf(FH,"};\n"); */

/*     (void)fclose(FH); */
/*   exit(2); */
/* } */



/* ***********************************************************************
 *
 * get pointgroup masks of all pointgroups
 *
 * ***********************************************************************
 */
static const char *mastergroups[MAXPOINTGRP]={
  "P1","PB1","P2","PM","P2/M","P222","PMM2","PMMM"
  ,"P4","PB4","P4/M","P422","P4MM","PB42M","PB4M2","P4/MMM"
  ,"P3","PB3","P312","P321"
  ,"P3M1","P31M","PB31M","PB3M1"
  ,"P6","PB6","P6/M","P622","P6MM","PB6M2","PB62M","P6/MMM"
  ,"P23","PM3","P432","PB43M","PM3M"};

void getpointgroupmasksinternal(long *pg)
{
  long ig,ig0,ind,j;
  double alat[3]={5.,5.,5.};
  double angle[3]={90.,90.,90.};
  tsSYMMETRY sym;
  FILE *FH;
  FH=fopen("pgmasks.h","w");
  seterrorhandling(ERR_NOCATCH | ERR_BUFFERED);

  for(ig=0;ig<MAXPOINTGRP*64;ig++){
    pg[ig]=0;
  }
  j=0;
  (void)fprintf(FH,"static const long pointgroupmask[]={\n");
  for(ig0=0;ig0<MAXPOINTGRP;ig0++){
    (void)calcsym(&sym,-1,mastergroups[ig0],alat,angle,1L,"crystal");
    ig=sym.npgr-1;
    (void)fprintf(FH,"/* %s */\n",pointgroup(sym.npgr));
    for(ind=0;ind<sym.ng;ind++){
      pg[sym.itable[ind]+ig*64]=1;
    }

    for(ind=0;ind<64;ind++){
      if( j>0 ) { (void)fprintf(FH,","); }
      (void)fprintf(FH,"%ld",pg[ind+ig0*64]);
      if(ind==23){      (void)fprintf(FH,"\n");    }
      if(ind==23+8){      (void)fprintf(FH,"\n");    }
      if(ind==23+8+24){      (void)fprintf(FH,"\n");    }
      if(ind==23+8+24+8){      (void)fprintf(FH,"\n");    }
      j++;
    }

  }
  (void)fprintf(FH,"};\n");
  (void)fclose(FH);
}



/* ***********************************************************************
 * determine direct index into operationsymbol(), in cubic nomenclatur 
 * it is just index=ig+1
 * ***********************************************************************
 */
void getoperationsymbolindexinternal(const double *ope)
{
  long ig,ind,hex,ix,j;
  double op[9];
  /* for all operations (cubic and hexagonal) */
  (void)printf("static const long directoperationindex[]={\n");
  j=0;
  for(ig=0;ig<64;ig++){
    /* ind=index[ig] ; */
    ind=ig ;
    /* For hexagonal operations: need to transform cartesian 
       into lattice vector transformations to 
       calculate operation symbols.
       Use Cubic nomenclatur.
    */
    hex=0;
    if(((ind>23) && (ind<32)) || ((ind>55) && (ind<64))){
      hex=1;
    }
    /* do the transformation */
    transatob(op,ope+9*ind,hex);

    /* determine the index into the operation symbol table */
    ix=operationindex(op,hex);
    /* print the latiice vector transformation symbol 
       and the mnemonic symbol */
    /*    printf("%2d:   (%-4s,%-4s,%-4s)   :   %s \n" 
	   ,ix
	   ,operationXYZ(op)
	   ,operationXYZ(op+3)
	   ,operationXYZ(op+6)
	   ,operationsymbol(ix+1)
	   ); 
    */
    /*   (void)strncpy0(nop[ig],operationsymbol(ix+1),MAX_NOP_LENGTH); */
    /* print operation matrix */
    /*
    for(i=0;i<3;i++){
      printf("%-10.3f  %-10.3f  %-10.3f\n"
	     ,ope[i+3*0+9*ind],ope[i+3*1+9*ind],ope[i+3*2+9*ind]);
    }
    */
    if(j >0)  (void)printf(",");
    (void)printf("%ld",ix+1-(ig+1));
    if(ig == 15)     (void)printf("\n");
    if(ig == 15+16)     (void)printf("\n");
    if(ig == 15+16+16)     (void)printf("\n");
    j++;
  } /* for all operations */
  (void)printf("};");
}

