/* @(#)constants.h 
 */

#ifndef _constants_h 
#define _constants_h 1

/* #include <> */
/* #include "" */


/* ***********************************************************************
 * DEFINES
 * ***********************************************************************
 */

/* (Planck constant) */
extern const double constant_hbar;
/* (electron rest mass) */
extern const double constant_me;
/* (Bohr radius/Angstroem) */
extern const double constant_aBtoAng;
/* (Hartree/eV) */
extern const double constant_hatoev;
/* (Re_Sigma/(1/(Ohm*cm))) */
extern const double constant_resigtoinvOhmcm;
/* (Angstroem) */
extern const double constant_angstroem;
/* speed of light in vacuum in m/s*/
/* extern const double speed_of_light_mpers; */
#define def_speed_of_light_mpers 299792458.0



/* ***********************************************************************
 * typedefs
 * ***********************************************************************
 */


/* ***********************************************************************
 * classes
 * ***********************************************************************
 */


#ifdef	__cplusplus
extern "C" {
#endif


#ifdef	__cplusplus
}
#endif


#endif /* _constants_h */


