/* @(#)heapcheck.c
 */


#include <stdio.h>
#include <stdlib.h>
#include "heapcheck.h"




#ifdef EXTENDED_HEAP_TEST 
void *HEAP[MAXHEAP];
long extended_heap_test=1;
#endif


/* ***********************************************************************
 *
 * ***********************************************************************
 */
#ifdef EXTENDED_HEAP_TEST

void REMOVEFROMHEAP(void *p)
{
  long i,found=0;
  for(i=0;i<MAXHEAP;i++){
    if(HEAP[i]==p){
      HEAP[i]=NULL;
      found=1;
      break;
    }
  }
  if(!found){
    (void)fprintf(stderr,"REMOVEFROMHEAP p=%p not found\n",p);
    
  }
}
#endif
/* ***********************************************************************
 *
 * ***********************************************************************
 */
#ifdef EXTENDED_HEAP_TEST
void ADDTOHEAP(void *p)
{
  long i,found=0;
  for(i=0;i<MAXHEAP;i++){
    if(HEAP[i]==NULL){
      HEAP[i]=p;
      found=1;
      break;
    }
  }
  if(!found){
    (void)fprintf(stderr,"MAXHEAP to small\n");
    exit(1);
  }
}
#endif
/* ***********************************************************************
 *
 * ***********************************************************************
 */
#ifdef EXTENDED_HEAP_TEST
void INITHEAP(void)
{
  long i;
  for(i=0;i<MAXHEAP;i++){
    HEAP[i]=NULL;
  }
}
#endif
/* ***********************************************************************
 *
 * ***********************************************************************
 */
#ifdef EXTENDED_HEAP_TEST
void TESTHEAP(void)
{
  long i;
  (void)fprintf(stderr,"HEAPTEST\n");
  (void)fprintf(stdout,"HEAPTEST\n");
  
  
  for(i=0;i<MAXHEAP;i++){
    if(HEAP[i]!=NULL){
      (void)fprintf(stderr,"HEAPTEST NOT FREED : %p\n",HEAP[i]);
      (void)printf("HEAPTEST NOT FREED : %p\n",HEAP[i]);
      
    }
    
  }
  
  (void)fprintf(stderr,"HEAPTEST end\n");
  (void)fprintf(stdout,"HEAPTEST end\n");
}
#endif
