/* @(#)ComboBoxDelegate.h
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _COMBOBOXDELEGATE_H
#define _COMBOBOXDELEGATE_H 1

#include <QStyledItemDelegate>
#include <QMap>

class ComboBoxDelegate: public QStyledItemDelegate
{
  Q_OBJECT
 public:
  ComboBoxDelegate(QObject *parent,const QMap<int,QString> &);
  QWidget *createEditor(QWidget *parent, const QStyleOptionViewItem &option,
			const QModelIndex &index) const;

  void setEditorData(QWidget *editor, const QModelIndex &index) const;
  void setModelData(QWidget *editor, QAbstractItemModel *model,
		    const QModelIndex &index) const;

  void updateEditorGeometry(QWidget *editor,
			    const QStyleOptionViewItem &option, const QModelIndex &index) const;
  QSize sizeHint(const QStyleOptionViewItem &option,
		 const QModelIndex &index) const;
 private:
  QMap<int,QString> pdata;
  QString plongest;
};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _COMBOBOXDELEGATE_H */

