/*************************************************************************
 * @(#)GraphPropWdg.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 * date:   25 Nov 2011
 *************************************************************************
 */

#ifndef _GRAPHPROPWDG_H
#define _GRAPHPROPWDG_H 1


#include "PropWdgBase.hh"
#include "ui_GraphPropWdg.h"
#include "Xfp.hh"

class Graph;
class Point;

class GraphPropWdg:public PropWdgBase, private Ui::GraphPropWdg
{
  Q_OBJECT
 public:
  GraphPropWdg(QWidget *parent);
  ~GraphPropWdg();

  void setData(void *);
  void check(QString &msg);
  void applyData(void *);
  void updateRequest(void *);

 signals:
  void toolTriggered(const QString &);

 private slots:
  void onCScaleActionsTriggered();
 private :
  bool dataAcceptable();

 private :
  QAction *cscaleallaction;
  QAction *cscaleviewaction;
  Graph *t_graph;
};




#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _GRAPHPROPWDG_H */




/*EOF*/ 
