/*************************************************************************
 * @(#)MyPlainTextEdit.cpp
 * author: Klaus.Koepernik@ifw-dresden.de
 * date:   20 Jun 2012
 *************************************************************************
 */

#include <QMenu>
//#include <QDebug>
#include <QLineEdit>
#include "MyPlainTextEdit.hh"



/* ***********************************************************************
 *
 * ***********************************************************************
 */
void MyPlainTextEdit::contextMenuEvent(QContextMenuEvent *event)
{

  QMenu *menu = createStandardContextMenu();
  QList<QAction*> actions=menu->actions();
  QAction *first=0;
  if(actions.size()>0){
      first=actions.at(0);
  }

  if(first){
    emit menuRequest(first,menu);
  }else{
    emit menuRequest(0,menu);
  }

  menu->exec(event->globalPos());
  delete menu;
}

/* ***********************************************************************
 *
 * ***********************************************************************
 */
MyTextEdit::MyTextEdit(QWidget *parent)
  :QTextEdit(parent)
{
}

/* ***********************************************************************
 *
 * ***********************************************************************
 */
MyTextEdit::~MyTextEdit()
{
}



/* ***********************************************************************
 *
 * ***********************************************************************
 */
void MyTextEdit::contextMenuEvent(QContextMenuEvent *event)
{

  QMenu *menu = createStandardContextMenu();
  QList<QAction*> actions=menu->actions();
  QAction *first=0;
  if(actions.size()>0){
      first=actions.at(0);
  }

  if(first){
    emit menuRequest(first,menu);
  }else{
    emit menuRequest(0,menu);
  }

  menu->exec(event->globalPos());
  delete menu;
}









/*EOF*/ 
