/* @(#)SetTreeSelectionModel.h
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _SETTREESELECTIONMODEL_H
#define _SETTREESELECTIONMODEL_H 1

#include <QItemSelectionModel>

class SetTreeSelectionModel: public QItemSelectionModel
{
  Q_OBJECT
public:
  SetTreeSelectionModel(QAbstractItemModel *model)
    :QItemSelectionModel(model){

    connect(this,SIGNAL(currentChanged(const QModelIndex &,
				       const QModelIndex &)),
	    this,SLOT(onCurrentChanged(const QModelIndex &,
				       const QModelIndex &)));
  };
  virtual void select(const QItemSelection &selection,
		      QItemSelectionModel::SelectionFlags command);
private slots:
  void onCurrentChanged(const QModelIndex &,const QModelIndex &);
private:
  QModelIndex plastcurrent;
};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _SETTREESELECTIONMODEL_H */

