/* @(#)TicMarksPropWdg.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _TICMARKSPROPWDG_H
#define _TICMARKSPROPWDG_H 1

#include "PropWdgBase.hh"
#include "ui_TicMarksPropWdg.h"

class GraphObject;
class String;
class Graph;
class TicMarks;

class TicMarksPropWdg:public PropWdgBase, private Ui::TicMarksPropWdg
{
  Q_OBJECT
 public:
  TicMarksPropWdg(QWidget *parent);
  ~TicMarksPropWdg();

  void setData(Graph *graph,GraphObject *);
  void check(QString &msg);
  void applyData(void *);
  //  void updateRequest(GraphObject *);
  void updateRequest(Graph *,TicMarks *,const QString &);
  private slots:
  void on_wUserTics_dataChanged(){
    setDirty(true);
  }

};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _TICMARKSPROPWDG_H */

