/* @(#)WeightDefDlg.h
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _WEIGHTDEFDLG_H
#define _WEIGHTDEFDLG_H 1

#include <QDialog> 
#include "ui_WeightDefDlg.h"

class WeightLabels;
class WeightDefModel;
class WeightLabelModel;

class WeightDefDlg:public QDialog, protected Ui::WeightDefDlg
{
 Q_OBJECT
 public:
  WeightDefDlg(QWidget *parent);
  ~WeightDefDlg();

  void setData(WeightLabels *wls);

private slots:
  void on_pbClose_clicked(){QDialog::reject();};

 private:
  WeightDefModel *wdmodel;
  WeightLabelModel *wlmodel;
};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _WEIGHTDEFDLG_H */

