/* @(#)WeightLabelModel.h
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _WEIGHTLABELMODEL_H
#define _WEIGHTLABELMODEL_H 1

#include <QAbstractListModel>

class WeightLabels; 

class WeightLabelModel: public QAbstractListModel
{
  Q_OBJECT;
 public:
  WeightLabelModel(QObject * parent);
  QVariant headerData(int section,Qt::Orientation orientation
		      ,int role=Qt::DisplayRole)const;
  int rowCount(const QModelIndex & parent=QModelIndex()) const;
  Qt::ItemFlags flags(const QModelIndex &index)const;
  QVariant data(const QModelIndex &index,int role=Qt::DisplayRole)const;
  void reset(WeightLabels *wls);

 private:
   WeightLabels *pwls; 
};





#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _WEIGHTLABELMODEL_H */

