/* @(#)MyProgressDialog.h
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _MYPROGRESSDIALOG_H
#define _MYPROGRESSDIALOG_H 1

#ifdef QXFPL
#include <QProgressDialog>
#endif

class MyProgressDialog{
 public:
  MyProgressDialog(const String &text,long m):pmaxcount(m),pcount(0),dlg(0){
#ifdef QXFPL
    dlg=new QProgressDialog(text(), "OK", 0, pmaxcount, 0);
    dlg->setWindowModality(Qt::ApplicationModal);
    dlg->setMinimumDuration(0);
#endif
  };
  
    ~MyProgressDialog(){
#ifdef QXFPL
      dlg->setValue(pmaxcount);
      delete dlg;dlg=0;
#endif
    };

    void increaseCounter(){
#ifdef QXFPL
      dlg->setValue(pcount++);
#endif
    };

 private:
  int pmaxcount;
  int pcount;
#ifdef QXFPL
  QProgressDialog *dlg;
#endif
};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _MYPROGRESSDIALOG_H */

