/* @(#)braindialog.h
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _BRAINDIALOG_H
#define _BRAINDIALOG_H 1

#include <QDialog> 
#include <QHash> 



/* ***********************************************************************
 *
 * ***********************************************************************
 */
class BrainDialog:public QDialog
{

 public:
  BrainDialog(QWidget *parent,QWidget *base
	      ,const char *name, bool modal,bool stayontop=false
	      ,bool considerposition=true); 
  virtual ~BrainDialog();

  QWidget *mainWidget(){return pmainWidget;};

  //  void setMainWidget(QWidget *w){mainWidget=w;};
  
 protected :
   virtual void showEvent(QShowEvent *);

 private:
   void whereTOplace(long dtop,long & xx,long &yy);
   void saveGeometry();


 private:   
   // we need the global window for the brain dialog
   QWidget *pmainWidget;
   static QHash<QString,QRect*> BrainDialog_Geometries;
   bool pconsiderposition;
   bool pshown;
};



#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _BRAINDIALOG_H */

