/*************************************************************************
 * @(#)ShortCuts.cpp
 * author: Klaus.Koepernik@ifw-dresden.de
 * date:   14 Mar 2011
 *************************************************************************
 */

#include "ShortCuts.hh"

QMap<ShortCuts::ActionTypes,QList<QKeySequence> > ShortCuts::pshortcutsmap;

/* ***********************************************************************
 *
 * ***********************************************************************
 */
void ShortCuts::setDefaulShortCuts()
{
  QList<QKeySequence> sc;
  sc.clear();
  sc<<QKeySequence(Qt::Key_Insert)
    <<QKeySequence(Qt::CTRL+Qt::Key_I);
  pshortcutsmap[addItemSC]=sc;

  sc.clear();
  sc<<QKeySequence(Qt::Key_Delete)
    <<QKeySequence(Qt::CTRL+Qt::Key_D);
  pshortcutsmap[deleteItemSC]=sc;

  sc.clear();
  sc<<QKeySequence(Qt::CTRL+Qt::Key_Up);
  pshortcutsmap[moveItemUpSC]=sc;

  sc.clear();
  sc<<QKeySequence(Qt::CTRL+Qt::Key_Down);
  pshortcutsmap[moveItemDownSC]=sc;

}


/*EOF*/ 
