/* @(#)ParserDecl.h
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _PARSERDECL_H
#define _PARSERDECL_H 1

#define YYSTYPE PP::ParamParser::semantic_type

// Tell Flex the lexer's prototype ...
# define YY_DECL					     \
  PP::ParamParser::token_type				     \
  yylex(YYSTYPE *yylval_param,		     \
	PP::ParamParser::location_type* yylloc,		     \
	ParamDriver &paramDriver,			     \
	void *yyscanner)
// ... and declare it for the parser's sake.

YY_DECL;


#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _PARSERDECL_H */

