/*************************************************************************
 * @(#)main.cpp
 * author: Klaus.Koepernik@ifw-dresden.de
 * date:   04 Jun 2011
 *************************************************************************
 */


#include <iostream>
#include "ParamDriver.h"

int
main (int , char *argv[])
{
  ParamDriver driver;
  for (++argv; argv[0]; ++argv){
    if (*argv == std::string ("-p"))
      driver.setTraceParsing(true);
    else if (*argv == std::string ("-s"))
      driver.setTraceScanning(true);
    else if (!driver.parse (*argv))
      std::cout << driver.result << std::endl;
  }
}




/*EOF*/ 
