/*************************************************************************
 * @(#)DlgReg.cpp
 * author: Klaus.Koepernik@ifw-dresden.de
 * date:   17 May 2011
 *************************************************************************
 */

#include "DlgReg.hh"
#include "MyDebug.hh"

/* ***********************************************************************
 *
 * ***********************************************************************
 */
DlgReg::DlgReg()
{
}

/* ***********************************************************************
 *
 * ***********************************************************************
 */
DlgReg::~DlgReg()
{
  qDeleteAll(pdata.begin(),pdata.end());
  pdata.clear();
}

/* ***********************************************************************
 *
 * ***********************************************************************
 */
void DlgReg::Register(QObject *p,const QString &name)
{
  QString s=name;
  s.replace('&',"");
  pdata[p]=new DlgReg::DlgRegData(s);

}
/* ***********************************************************************
 *
 * ***********************************************************************
 */
void DlgReg::reset()
{
  foreach(DlgReg::DlgRegData *dd,pdata.values()){
    dd->pchanged=false;
    dd->papply=false;
  }


}

/* ***********************************************************************
 *
 * ***********************************************************************
 */
void DlgReg::print()
{
  foreach(QObject *p,pdata.keys()){
    DlgReg::DlgRegData *dd=pdata[p];
    myDebug()<<p<<dd->pchanged<<dd->papply;
  }  
}


/*EOF*/ 
