/*************************************************************************
 * @(#)AntiAliasing.cpp
 * author: Klaus.Koepernik@ifw-dresden.de
 * date:   25 Mar 2011
 *************************************************************************
 */

#include "AntiAliasing.hh"
#include "Settings.hh"

/* ***********************************************************************
 *
 * ***********************************************************************
 */
void AntiAliasing::readSettings()
{
  Settings set("application");
  pantialiasing=set.getBool(tmode+"/antiAliasing",true);
  pantialiasingprintonly=set.getBool(tmode+"/antiAliasingPrintOnly",true);
  pwhilemoving=set.getBool(tmode+"/antiAliasingWhileMoving",false);
  pjitter=set.getInt(tmode+"/antiAliasingJitter",4);
}


/* ***********************************************************************
 *
 * ***********************************************************************
 */
void AntiAliasing::writeSettings()
{
  Settings set("application");
  set.set(tmode+"/antiAliasing",pantialiasing);
  set.set(tmode+"/antiAliasingJitter",pjitter);
  set.set(tmode+"/antiAliasingPrintOnly",pantialiasingprintonly);
  set.set(tmode+"/antiAliasingWhileMoving",pwhilemoving);

}


/*EOF*/ 
