/* @(#)AutoColor.hh
 * author: magru@unas
 */

#ifndef _AUTOCOLOR_HH
#define _AUTOCOLOR_HH 1

#include "Module.hh"


namespace XFPLO{
  
  class Field;
  
  /* ***********************************************************************
   *
   * ***********************************************************************
   */
  
  class AutoColor:public Module{
    // ----------------------------------------------------------------
    // we connect a field to this one and it manipulates the input field
    // it can  be connected to a represenation, or isosurface
    // ----------------------------------------------------------------
    
  public:
    AutoColor();
    virtual ~AutoColor();
    
    
    
    virtual bool cascadingUpdate(const String &prefix);
    
    Field *field()const{return pfield;}
    
  protected:
    virtual void setInput(const Module *input);
    virtual void removeInput(const Module *);
    
  private:
    
    void calcAutoColor(); 
    template <class T>
    void calcAutoColor_internal(); 

  private:
    Field *pfield;
  };
  
  
  
}



#endif /* _AUTOCOLOR_HH */

