/* @(#)BWDoc.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _BWDOC_H
#define _BWDOC_H 1

#include <QString>
#include "DocBase.hh"
#include "BWFromCoeffs.hh"

class OGLView;

using namespace XFPLO;

class BWDoc: public DocBase
{
Q_OBJECT
public:
  BWDoc(OGLView *);
  ~BWDoc();


  // get rid of abstract interface ... not needed in this doc-class
  virtual Vec3 dataMidPoint(){return Vec3();};
  virtual double  dataRadius(){return 1.;};
  virtual bool showLegend(){return false;};
  virtual double legendPositionY(){return 1.;};
public:
  BWFromCoeffs bwfromcoeffs;

};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _BWDOC_H */

