/* @(#)DataStatistics.hh
 * author: magru@unas
 */

#ifndef _DATASTATISTICS_HH
#define _DATASTATISTICS_HH 1

#include "PointerT.hh"

namespace XFPLO{

/* ***********************************************************************
 *
 * ***********************************************************************
 */



class DataStatistics{

  template<class T>
  class Data{
  public:
    Data(){}
    ~Data(){}
    ValueArray<T> minValues;
    ValueArray<T> maxValues;
  };

public:
  DataStatistics(){}
  ~DataStatistics(){}

  template <class X>
  const Data<X> *data()const{return pdata.to<X>();}
    
  
  template <class X>
  void calculate(const BaseArray<X> *ar);

protected:
private:
  PointerT<Data> pdata;
};

/* ***********************************************************************
 *
 * ***********************************************************************
 */



}

#endif /* _DATASTATISTICS_HH */

