/* @(#)Group.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _GROUP_H
#define _GROUP_H 1

#include "FString.hh"

namespace XFPLO{

class Operation
{
 public:
  Operation():pindex(-1){}
  Operation(int index,const String& xyz,const String &cs){
    pindex=index;
    pxyzsymbol=xyz;
    pcssymbol=cs;
  };

  int index()const{return pindex;};
  const String &XYZSymbol()const{return pxyzsymbol;};
  const String &CSSymbol()const{return pcssymbol;};


 private:
  int pindex;
  String pxyzsymbol;
  String pcssymbol;
};
}
#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _GROUP_H */

