/*************************************************************************
 * @(#)Plane.cpp
 * author: Klaus.Koepernik@ifw-dresden.de
 * date:   18 Mar 2011
 *************************************************************************
 */

#include "Plane.hh"

/* ***********************************************************************
 *info p= common corner point of g1,g2,g3 planes
 *ret=0 if volume=0
 * ***********************************************************************
 */
bool Plane::govlap(Vec3 &p,const Plane &g1,const Plane &g2,const Plane &g3)
{
  bool indef;
  

  Matrix3x3 inv=Matrix3x3(g1.n(),g2.n(),g3.n()).inverse(indef);

  if(indef) return false;
  
  
  p=Vec3(g1.d(),g2.d(),g3.d())*inv;

  return true;

}



/*EOF*/ 
