/*************************************************************************
 * @(#)SReal.cpp
 * author: Klaus.Koepernik@ifw-dresden.de
 * date:   24 Jul 2009
 *************************************************************************
 */

#include "FString.hh"
#include "SReal.hh"
#include "Vec3.hh"


SReal3::SReal3(double x,double y,double z,const String &fmt)
{
  String s;
  if((s=Sprintf(fmt(),x).removeLeadingBlanks().chop("0")).empty()) s="0";
  data[0]=s;
  if((s=Sprintf(fmt(),y).removeLeadingBlanks().chop("0")).empty()) s="0";
  data[1]=s;
  if((s=Sprintf(fmt(),z).removeLeadingBlanks().chop("0")).empty()) s="0";
  data[2]=s;
}

Vec3 SReal3::toVec3()const
{
  Vec3 v;
  v[0]=data[0].D;
  v[1]=data[1].D;
  v[2]=data[2].D;
  return v;
}

/*EOF*/ 
