/* @(#)Vunit.h
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _VUNIT_H
#define _VUNIT_H 1

class VUnits{
 public:
  VUnits(){};
  
  enum VelUnits{
    METERperSEC=1,
    CENTIMETERperSEC=2,
    SPEEDofLIGHT=3,
    percentSPEEDofLIGHT=4};

  static double velocityUnitFactor(VelUnits );
  static int numberOfUnits(){ return p_numunits;};
  static const char* velocityUnit(VelUnits);
  //
  static VelUnits vunitFromIndex(int i);
  static int indexFromVunit(VelUnits);

 private:
  struct tsvunit{
    const char *name;
    VelUnits vunit;
    double  msfactor;
  };

  static int p_numunits;
  static struct tsvunit p_vunits[];
};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _VUNIT_H */

