/*************************************************************************
 * @(#)Xf.cpp
 * author: Klaus.Koepernik@ifw-dresden.de
 * date:   13 Mar 2011
 *************************************************************************
 */

#include "Xf.hh"

const char *Xf::pspecialpointtypename[]={
  "Point",
  "Jump",
  "Break"
};
const char *Xf::pdisplaycelltypename[]={
  "None",
  "Main Boundary",
  "Conventional",
  "Primitive",
  "User defined",
};

const char *Xf::paxestypenames[]={
  "Cartesian",
  "Conventional",
  "Primitive",
  "User defined",
};

const char *Xf::paxesnames[][3]={
  {"x",
   "y",
   "z"},
  {"a",
   "b",
   "c"},
  {"a",
   "b",
   "c"}
};

const char *Xf::psceeneunitnames[]={
  "Relative to boundary",
  "Current world units",
  "Angstroem",
  "Bohr radii",
  "times rod radius",
  "time tip radius",
  "Conventional cell",
  "Primitive cell"
};

const char *Xf::plengthunits[]={
  "Unknown unit",
  "Bohr radii",
  "Angstroem"
};


/*EOF*/ 
