/* @(#)BoundDlg.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _BOUNDDLG_H
#define _BOUNDDLG_H 1

#include "ui_BoundDlg.h"

class Boundary;
namespace XFPLO{
  class Symmetry;
}
using namespace XFPLO;

class BoundDlg : public ProtoDlg, private Ui::BoundDlg
{
  Q_OBJECT;
  
public:
  BoundDlg(QWidget *parent,QWidget *base,const char *name);
  ~BoundDlg();
public slots:
  void setData( const Boundary *,const Symmetry *);
  void getData(  struct Boundary *,bool &chn);
  
// signals:
//   void acceptRequest();
//   void endRequest();
		   
// protected slots:
//   virtual void reject(){ emit endRequest(); };
  
private:
  bool dataAcceptable();
		       
// private slots:
//   void on_pbHelp_clicked();
//   void on_pbAccept_clicked();
//   void on_pbClose_clicked();
  
  
private:
};


#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _BOUNDDLG_H */

