/* @(#)ColorModelEditor.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _COLORMODELEDITOR_H
#define _COLORMODELEDITOR_H 1


#include "ui_ColorModelEditor.h"
#include "BrainDialog.hh"


/* ***********************************************************************
 *
 * ***********************************************************************
 */
class ColorModelEditor : public BrainDialog, private Ui::ColorModelEditor
{
  Q_OBJECT;
 public:
  ColorModelEditor(QWidget *parent,QWidget *base,const  char *name);

  void setData(const ColorMap &map);
  void getData(ColorMap &map);

 protected slots:
  virtual void accept() ;
  virtual void reject() { BrainDialog::reject(); };

 private slots:
  void on_pbOK_clicked(){accept();};
  void on_pbCancel_clicked() {reject();};

};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _COLORMODELEDITOR_H */

