/* @(#)CutDlg.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _CUTDLG_H
#define _CUTDLG_H 1

#include "ui_CutDlg.h"


class CutDlg: public ProtoDlg, private Ui::CutDlg
{
  Q_OBJECT

public:
  CutDlg(QWidget *parent,QWidget *base,const char *name);
  
  void setData( long icut, double ncut[3], long np, double fro, double to );
  void getData( long *icut, double ncut[3] , long *np, double *fro
		, double *to, long *chn );


private:
  bool dataAcceptable();

private:
  long t_icut,t_np;
  QString t_n0,t_n1,t_n2,t_fr,t_to;




};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _CUTDLG_H */

