/* @(#)ElidLabel.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _ELIDLABEL_H
#define _ELIDLABEL_H 1

#include <QLabel>
#include "MyDebug.hh"

class QResizeEvent;


class ElidLabel: public QLabel
{
Q_OBJECT
public:
  ElidLabel(QWidget *p):QLabel(p){};
    void setText(const QString &t){
      myDebug() << t;
      mytext=t;
      QLabel::setText(fontMetrics().elidedText (t,Qt::ElideLeft,width()));
    }
protected:
    void resizeEvent ( QResizeEvent * event ) ;
private:
  QString mytext;
};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _ELIDLABEL_H */

