/* @(#)FilesDlg.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _FILESDLG_H
#define _FILESDLG_H 1

#include "ui_FilesDlg.h"

class Energies;

class FilesDlg : public BrainDialog, private Ui::FilesDlg
{
  Q_OBJECT
public:
  FilesDlg(QWidget *parent,QWidget *base,const  char *name);
public slots:
  void setData( Energies * erg,const QString &workdir);
  void getData( Energies * erg);
 protected slots:
  virtual void accept() ;
  virtual void reject() { BrainDialog::reject(); };

 private slots:
  void on_pbOK_clicked(){accept();};
  void on_pbCancel_clicked() {reject();};
  void on_pbBrowseBandFile_clicked();
  void on_pbBrowseBandWeightsFile_clicked();
 private:
  QString t_bandfile;
  QString t_bandweightsfile;
  QString t_workdir;
};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _FILESDLG_H */

