/* @(#)FogDlg.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _FOGDLG_H
#define _FOGDLG_H 1

#include "ProtoDlg.hh"
#include "ui_FogDlg.h"

class Fog;

class FogDlg : public ProtoDlg, private Ui::FogDlg
{
  Q_OBJECT;
 public:
  FogDlg(QWidget *parent,QWidget *base,const char *name);
  ~FogDlg();
public slots:
  void setData(const Fog *fog);
  void getData(Fog *fog);

private slots:
  void on_pbSetDefault_clicked();
  void on_cmbFogMode_currentIndexChanged(int);
private:
  Fog *t_fog;
};


#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _FOGDLG_H */

