/* @(#)HelpBrowser.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _HELPBROWSER_H
#define _HELPBROWSER_H 1


#include <QTextBrowser>

class QHelpEngineCore;

class HelpBrowser : public QTextBrowser
{
  Q_OBJECT;
  
 public:
  HelpBrowser(QWidget *parent);
  ~HelpBrowser();
  void showHelpForKeyword(const QString &id);


  
 private:
  QVariant loadResource(int type, const QUrl &name);
  
  QHelpEngineCore *m_helpEngine;
};


#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _HELPBROWSER_H */

