/* @(#)MyTableView.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _MYTABLEVIEW_H
#define _MYTABLEVIEW_H 1

#include <QTableView>

class MyTableView: public QTableView
{
  Q_OBJECT;
public:
  MyTableView(QWidget *parent=0):QTableView(parent){};
  //virtual ~MyTableView(){};

signals:
  void commitHappening(bool );
  void myCurrentChanged(const QModelIndex &,const QModelIndex &);

protected slots:
  virtual void commitData(QWidget *editor){
    emit commitHappening(true);
    QTableView::commitData(editor);
    emit commitHappening(false);
  };

  void currentChanged(const QModelIndex &current,const QModelIndex &previous){
    QTableView::currentChanged(current,previous);
    emit myCurrentChanged(current,previous);
  }

};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _MYTABLEVIEW_H */

