/* @(#)PrntDlg.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _PRNTDLG_H
#define _PRNTDLG_H 1

#include "ui_PrntDlg.h"

class DocBase;

class PrntDlg : public QDialog, private Ui::PrntDlg
{
  Q_OBJECT
    
public:
  PrntDlg(QWidget *parent=0,const char *name=0);

  void setData(DocBase *doc, const QString & filename);
  void getData(DocBase *doc, QString & filename);

protected slots:
  virtual void accept();
  virtual void reject(){ QDialog::reject(); };

private slots:
  void on_tbChooseFile_clicked();
  void on_pbHelp_clicked();

private:
  QString t_filename;
  DocBase *pdoc;
  int t_magfac;
  int t_quality;

};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _PRNTDLG_H */

