/* @(#)STToolBox.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */
#ifndef STTOOLBOX_H
#define STTOOLBOX_H

#include "ToolBox.hh"
#include "ui_STToolBox.h"


class STR;
class STDoc;
class QSignalMapper;

class STToolBox : public ToolBox, private Ui::stToolBox
{
  Q_OBJECT
public:
  STToolBox(STR *parent,STDoc *d);
  ~STToolBox();

  void updateToolBox();
  void setMuted(bool m){muted=m;};


private slots:
  void onTbShowHideAtomsToggled(bool);
 private:
  STR *str;
  STDoc *doc;

  friend class STR;

};

#endif // STTOOLBOX_H
