/*************************************************************************
 * @(#)Sheet.cpp
 * author: magru@unas
 * date:   15 Jul 2013
 *************************************************************************
 */

#include "Sheet.hh"
#include "MyDebug.hh"

/* ***********************************************************************
 *
 * ***********************************************************************
 */
void Sheet::connectChanged(QObject *obj)
{
  foreach(QObject *o,obj->children()){
    if(o->isWidgetType()){
      QString isA(o->metaObject()->className());
      if(isA=="BoundDlgWidget") continue;
      if(isA=="QLineEdit"){
	connect(o,SIGNAL(textChanged(const QString &))
		,this,SLOT(onObjectChanged()));
      }else if(isA=="QCheckBox"){
	connect(o,SIGNAL(stateChanged(int))
		,this,SLOT(onObjectChanged()));
      }else if(isA=="QComboBox"){
	connect(o,SIGNAL(currentIndexChanged(int))
		,this,SLOT(onObjectChanged()));
      }else if(isA=="QRadioButton"){
 	connect(o,SIGNAL(clickedtateChanged(bool))
 		,this,SLOT(onObjectChanged()));
      }else if(isA=="ColorButton"){
	connect(o,SIGNAL(colorChanged(QRgb))
		,this,SLOT(onObjectChanged()));
      }else if(isA=="QDoubleSpinBox"){
 	connect(o,SIGNAL(valueChanged(double))
 		,this,SLOT(onObjectChanged()));
      }else if(isA=="QSpinBox"){
 	connect(o,SIGNAL(valueChanged(int))
 		,this,SLOT(onObjectChanged()));
      }else if(isA=="QGroupBox"){
	connect(o,SIGNAL(toggled(bool))
		,this,SLOT(onObjectChanged()));
      }else if(isA=="QToolButton"){
      }else if(isA=="QLabel"){
      }else if(isA=="QPushButton"){
      }else if(isA=="QFrame"){
      }else{
	myDebug()<<isA<<"not implemented";
	exit(1);
      }
    }
    if(o->children().size()){
      connectChanged(o);
    }
  }
}




/*EOF*/ 
