/* @(#)TestDlg.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _TESTDLG_H
#define _TESTDLG_H 1

#include "ProtoDlg.hh"
#include "ui_TestDlg.h"

class Test;
class STDoc;

class TestDlg : public ProtoDlg, private Ui::TestDlg
{
  Q_OBJECT;
 public:
  TestDlg(QWidget *parent,QWidget *base,const char *name);
  ~TestDlg();
public slots:
  void setData(STDoc *stdoc);
  void getData(STDoc *stdoc);
  void onContentChanged(QObject* sender);


private slots:
private:
  STDoc *pstdoc;
  QList<QDoubleSpinBox*> dspbxD;
};


#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _TESTDLG_H */

