/*************************************************************************
 * @(#)OGLMaterial.cpp
 * author: Klaus.Koepernik@ifw-dresden.de
 * date:   07 Apr 2011
 *************************************************************************
 */

#include "FString.hh"
#include "OGLMaterial.hh"


/* ***********************************************************************
 *
 * ***********************************************************************
 */
String OGLMaterial::printS()const
{
  return Sprintf(" face     =%d\n"
		 " ambient  =%x\n"
		 " diffuse  = %x\n"
		 " specular =%x\n"
		 " emission =%x\n"
		 " shininess=%g\n"
		 " opacity  =%g\n"
		 ,face()
		 ,ambient() 
		 ,diffuse() 
		 ,specular()
		 ,emission()
		 ,shininess()
		 //,(diffuse() & 0xff000000)/0x1000000
		 ,qAlpha(diffuse())/255.
		 );

}

/* ***********************************************************************
 *
 * ***********************************************************************
 */
MyDebug operator<<(MyDebug dbg, const OGLMaterial &m)
{
  dbg << m.printS();
  return dbg;
}

/*EOF*/ 
