/*************************************************************************
 * @(#)OGLPrimitives.cpp
 * author: Klaus.Koepernik@ifw-dresden.de
 * date:   13 Aug 2010
 *************************************************************************
 */

#include "OGLPrimitives.hh"

/* ***********************************************************************
 *
 * ***********************************************************************
 */
OGLPrimitives::OGLPrimitives(GLenum mode,int size)
  :pmode(mode),pvertices(0),pnormals(0),pcolors(0)
{
  //NSF("OGLPrimitives::OGLPrimitives(special...)");
  //myDebug() << nsubfunc << " I live"<<this;

  if(pmode==GL_TRIANGLES) {
    pnsize=3;
  }else if(pmode==GL_QUADS) {
    pnsize=4;
  }else if(pmode==GL_POLYGON) {
    pnsize=size;
  }else{
    myDebug() << "primitiveSize:: mode not implemented" << pmode;
    exit(1);
  }
  
}


/* ***********************************************************************
 *
 * ***********************************************************************
 */
OGLPrimitives::~OGLPrimitives()
{
  //NSF("OGLPrimitives::~OGLPrimitives()");
  //myDebug() << nsubfunc << this<<" I die";

  clean();
}



/*EOF*/ 
