#ifndef CANVASSIZE_H
#define CANVASSIZE_H

#include <stdio.h>

class Parser;

class CanvasSize{
 public:
  CanvasSize():plocked(true),pwidth(400),pheight(400){};
  CanvasSize(bool l,long w,long h):plocked(l),pwidth(w),pheight(h){};
  void print()const {printf("Canvas: width=%ld height=%ld, %s\n",pwidth,pheight,(plocked?"lcoked":"free"));};

  inline void setLocked(bool l){plocked=l;};
  inline void setWidth(int w){pwidth=w;};
  inline void setHeight(int h){pheight=h;};

  inline int width()const {return pwidth;};
  inline int height()const {return pheight;};
  inline bool locked()const {return plocked;};
  
  void canvasPTSectionToFile(FILE *FH);
  void readCanvasPTSectionFromFile(Parser *par);

private:
  bool plocked;
  long pwidth;
  long pheight;
};

#endif // CANVASSIZE_H
