/* @(#)ShortCuts.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _SHORTCUTS_H
#define _SHORTCUTS_H 1

#include <QAction>

class ShortCuts{
 public:
  enum ActionTypes{addItemSC=1,deleteItemSC=2,moveItemUpSC=3,moveItemDownSC=4};

  static void setShortCut(ActionTypes at,QAction *a){
    a->setShortcuts(pshortcutsmap[at]);
  };


  static void setDefaulShortCuts();

 private:
  static QMap<ActionTypes,QList<QKeySequence> > pshortcutsmap;
};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _SHORTCUTS_H */

