/* C*********************************************************************** */
/* cinfo preamble of postscript file */
/* cinfo by Klaus Koepernik Mar. 1999 */
/* cinfo  */
#include <stdio.h>
#include "prefix.h"

void prefix(FILE *FH,long x,long y,double scale,long orient,char* title)
{


  char *orienttypes[2]={"Portrait","Landscape"};
  long bx0,by0,bx1,by1;

  char *fmt="\
%%!PS-Adobe-2.0\n\
%%%%Creator: fplo\n\
%%%%Title: %s\n\
%%%%Pages: 1\n\
%%%%PageOrder: Ascend\n\
%%%%BoundingBox: %d %d %d %d\n\
%%%%DocumentPaperSizes: a4\n\
%%%%Orientation: %s\n\
%%%%EndComments\n\
%%%%BeginProlog\n\
%%%%EndProlog\n\
%%%%Page: 1 1\n\
/N {def} bind def\n\
/B {bind def} bind N\n\
/i {index} B\n\
/m {moveto} B\n\
/rm {rmoveto} B\n\
/l {lineto} B\n\
/rl {rlineto} B\n\
/n {newpath} B\n\
/c {closepath} B\n\
/v {gsave} B\n\
/r {grestore} B\n\
/s {stroke} B\n\
/g {setgray} B\n\
/q {setrgbcolor} B\n\
/f {fill} B\n\
/x {exch} B\n\
/w {setlinewidth} B\n\
/RJ {\n\
 stringwidth neg x neg x\n\
 rm\n\
} B\n\
/CS {\n\
stringwidth\n\
2 div neg x 2 div neg x\n\
rm\n\
} B\n\
/max { 2 copy ge{pop}{x pop}ifelse} B\n\
/SL {\n\
  { x stringwidth pop  max  }repeat\n\
} B\n\
%f %f scale\n\
1   setlinecap\n\
\n\
	mark             \n\
	/ISOLatin1Encoding \n\
	  8#000 1 8#054 {StandardEncoding exch get} for \n\
	  /minus \n\
	  8#056 1 8#217 {StandardEncoding exch get} for \n\
	  /dotlessi \n\
	  8#301 1 8#317 {StandardEncoding exch get} for \n\
	  /space /exclamdown /cent /sterling /currency /yen\
 /brokenbar /section \n\
	  /dieresis /copyright /ordfeminine /guillemotleft \
/logicalnot /hyphen \n\
	  /registered /macron /degree /plusminus /twosuperior\
 /threesuperior /acute \n\
	  /mu /paragraph /periodcentered /cedilla /onesuperior\
 /ordmasculine \n\
	  /guillemotright /onequarter /onehalf /threequarters \
/questiondown /Agrave \n\
	  /Aacute /Acircumflex /Atilde /Adieresis /Aring /AE \
/Ccedilla /Egrave /Eacute\n\
	  /Ecircumflex /Edieresis /Igrave /Iacute /Icircumflex\
 /Idieresis /Eth /Ntilde\n\
	  /Ograve /Oacute /Ocircumflex /Otilde /Odieresis \
/multiply /Oslash /Ugrave \n\
	  /Uacute /Ucircumflex /Udieresis /Yacute /Thorn \
/germandbls /agrave /aacute \n\
	  /acircumflex /atilde /adieresis /aring /ae /ccedilla\
 /egrave /eacute \n\
	  /ecircumflex /edieresis /igrave /iacute /icircumflex \
/idieresis /eth /ntilde\n\
	  /ograve /oacute /ocircumflex /otilde /odieresis \
/divide /oslash /ugrave \n\
	  /uacute /ucircumflex /udieresis /yacute /thorn \
/ydieresis \n\
	  /ISOLatin1Encoding where not {256 array astore def}\
 if \n\
	 cleartomark \n\
 \n\
	/makeISOEncoded \n\
	{ findfont /curfont exch def \n\
	  /newfont curfont maxlength dict def  \n\
	  /ISOLatin1 (-ISOLatin1) def\n\
	  /curfontname curfont /FontName get dup length \
string cvs def \n\
	  /newfontname curfontname length ISOLatin1 length\
 add string \n\
    	 dup 0                  curfontname putinterval \n\
    	 dup curfontname length ISOLatin1   putinterval \n\
	  def \n\
	  curfont   \n\
	  { exch dup /FID ne  \n\
    	{ dup /Encoding eq  \n\
    	  { exch pop ISOLatin1Encoding exch }  \n\
    	  if  \n\
    	  dup /FontName eq  \n\
    	  { exch pop newfontname exch }  \n\
    	  if  \n\
    	  exch newfont 3 1 roll put  \n\
    	}  \n\
     	{ pop pop }  \n\
    	ifelse  \n\
	  }  \n\
	  forall \n\
	  newfontname newfont definefont \n\
	} def \n\
 \n\
	/Times-Roman makeISOEncoded pop \n\
	/Times-Bold makeISOEncoded pop \n\
	/Times-Italic makeISOEncoded pop \n\
	/Times-BoldItalic makeISOEncoded pop \n\
	/Helvetica makeISOEncoded pop \n\
	/Helvetica-Bold makeISOEncoded pop \n\
	/Helvetica-Oblique makeISOEncoded pop \n\
	/Helvetica-BoldOblique makeISOEncoded pop \n";

  bx0=0;
  by0=0;
  bx1=x;
  by1=y;
/*   if(orient==landscape){ */
/*     bx0=x; */
/*     bx1=0; */
/*   } */

  (void)fprintf(FH,fmt,title,bx0,by0,bx1,by1,orienttypes[orient],scale,scale);

}


void postfix(FILE *FH)
{
  (void)fprintf(FH,"showpage\n%%%%Trailer\n%%%%DocumentFonts: \n%%%%EOF\n");

}
