/* A Bison parser, made by GNU Bison 2.5.  */

/* Skeleton implementation for Bison LALR(1) parsers in C++
   
      Copyright (C) 2002-2011 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

// Take the name prefix into account.
#define yylex   calc_lex

/* First part of user declarations.  */


/* Line 293 of lalr1.cc  */
#line 41 "CalcParse.cpp"


#include "CalcParse.hpp"

/* User implementation prologue.  */


/* Line 299 of lalr1.cc  */
#line 50 "CalcParse.cpp"
/* Unqualified %code blocks.  */

/* Line 300 of lalr1.cc  */
#line 54 "CalcParse.yy"

#include "CalcDriver.hh"



/* Line 300 of lalr1.cc  */
#line 61 "CalcParse.cpp"

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* FIXME: INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                               \
 do                                                                    \
   if (N)                                                              \
     {                                                                 \
       (Current).begin = YYRHSLOC (Rhs, 1).begin;                      \
       (Current).end   = YYRHSLOC (Rhs, N).end;                        \
     }                                                                 \
   else                                                                \
     {                                                                 \
       (Current).begin = (Current).end = YYRHSLOC (Rhs, 0).end;        \
     }                                                                 \
 while (false)
#endif

/* Suppress unused-variable warnings by "using" E.  */
#define YYUSE(e) ((void) (e))

/* Enable debugging if requested.  */
#if YYDEBUG

/* A pseudo ostream that takes yydebug_ into account.  */
# define YYCDEBUG if (yydebug_) (*yycdebug_)

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)	\
do {							\
  if (yydebug_)						\
    {							\
      *yycdebug_ << Title << ' ';			\
      yy_symbol_print_ ((Type), (Value), (Location));	\
      *yycdebug_ << std::endl;				\
    }							\
} while (false)

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug_)				\
    yy_reduce_print_ (Rule);		\
} while (false)

# define YY_STACK_PRINT()		\
do {					\
  if (yydebug_)				\
    yystack_print_ ();			\
} while (false)

#else /* !YYDEBUG */

# define YYCDEBUG if (false) std::cerr
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_REDUCE_PRINT(Rule)
# define YY_STACK_PRINT()

#endif /* !YYDEBUG */

#define yyerrok		(yyerrstatus_ = 0)
#define yyclearin	(yychar = yyempty_)

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab
#define YYRECOVERING()  (!!yyerrstatus_)


/* Line 382 of lalr1.cc  */
#line 4 "CalcParse.yy"
namespace CALC {

/* Line 382 of lalr1.cc  */
#line 149 "CalcParse.cpp"

  /* Return YYSTR after stripping away unnecessary quotes and
     backslashes, so that it's suitable for yyerror.  The heuristic is
     that double-quoting is unnecessary unless the string contains an
     apostrophe, a comma, or backslash (other than backslash-backslash).
     YYSTR is taken from yytname.  */
  std::string
  CalcParser::yytnamerr_ (const char *yystr)
  {
    if (*yystr == '"')
      {
        std::string yyr = "";
        char const *yyp = yystr;

        for (;;)
          switch (*++yyp)
            {
            case '\'':
            case ',':
              goto do_not_strip_quotes;

            case '\\':
              if (*++yyp != '\\')
                goto do_not_strip_quotes;
              /* Fall through.  */
            default:
              yyr += *yyp;
              break;

            case '"':
              return yyr;
            }
      do_not_strip_quotes: ;
      }

    return yystr;
  }


  /// Build a parser object.
  CalcParser::CalcParser (CalcDriver& calcDriver_yyarg, void *scanner_yyarg)
    :
#if YYDEBUG
      yydebug_ (false),
      yycdebug_ (&std::cerr),
#endif
      calcDriver (calcDriver_yyarg),
      scanner (scanner_yyarg)
  {
  }

  CalcParser::~CalcParser ()
  {
  }

#if YYDEBUG
  /*--------------------------------.
  | Print this symbol on YYOUTPUT.  |
  `--------------------------------*/

  inline void
  CalcParser::yy_symbol_value_print_ (int yytype,
			   const semantic_type* yyvaluep, const location_type* yylocationp)
  {
    YYUSE (yylocationp);
    YYUSE (yyvaluep);
    switch (yytype)
      {
         default:
	  break;
      }
  }


  void
  CalcParser::yy_symbol_print_ (int yytype,
			   const semantic_type* yyvaluep, const location_type* yylocationp)
  {
    *yycdebug_ << (yytype < yyntokens_ ? "token" : "nterm")
	       << ' ' << yytname_[yytype] << " ("
	       << *yylocationp << ": ";
    yy_symbol_value_print_ (yytype, yyvaluep, yylocationp);
    *yycdebug_ << ')';
  }
#endif

  void
  CalcParser::yydestruct_ (const char* yymsg,
			   int yytype, semantic_type* yyvaluep, location_type* yylocationp)
  {
    YYUSE (yylocationp);
    YYUSE (yymsg);
    YYUSE (yyvaluep);

    YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

    switch (yytype)
      {
        case 9: /* "\"string constant\"" */

/* Line 480 of lalr1.cc  */
#line 94 "CalcParse.yy"
	{ delete (yyvaluep->name); };

/* Line 480 of lalr1.cc  */
#line 255 "CalcParse.cpp"
	break;
      case 10: /* "\"variable\"" */

/* Line 480 of lalr1.cc  */
#line 94 "CalcParse.yy"
	{ delete (yyvaluep->name); };

/* Line 480 of lalr1.cc  */
#line 264 "CalcParse.cpp"
	break;
      case 24: /* "statements" */

/* Line 480 of lalr1.cc  */
#line 93 "CalcParse.yy"
	{ delete (yyvaluep->vdval); };

/* Line 480 of lalr1.cc  */
#line 273 "CalcParse.cpp"
	break;
      case 25: /* "statement" */

/* Line 480 of lalr1.cc  */
#line 93 "CalcParse.yy"
	{ delete (yyvaluep->vdval); };

/* Line 480 of lalr1.cc  */
#line 282 "CalcParse.cpp"
	break;
      case 27: /* "exppowdiv" */

/* Line 480 of lalr1.cc  */
#line 93 "CalcParse.yy"
	{ delete (yyvaluep->vdval); };

/* Line 480 of lalr1.cc  */
#line 291 "CalcParse.cpp"
	break;
      case 28: /* "exp" */

/* Line 480 of lalr1.cc  */
#line 93 "CalcParse.yy"
	{ delete (yyvaluep->vdval); };

/* Line 480 of lalr1.cc  */
#line 300 "CalcParse.cpp"
	break;

	default:
	  break;
      }
  }

  void
  CalcParser::yypop_ (unsigned int n)
  {
    yystate_stack_.pop (n);
    yysemantic_stack_.pop (n);
    yylocation_stack_.pop (n);
  }

#if YYDEBUG
  std::ostream&
  CalcParser::debug_stream () const
  {
    return *yycdebug_;
  }

  void
  CalcParser::set_debug_stream (std::ostream& o)
  {
    yycdebug_ = &o;
  }


  CalcParser::debug_level_type
  CalcParser::debug_level () const
  {
    return yydebug_;
  }

  void
  CalcParser::set_debug_level (debug_level_type l)
  {
    yydebug_ = l;
  }
#endif

  inline bool
  CalcParser::yy_pact_value_is_default_ (int yyvalue)
  {
    return yyvalue == yypact_ninf_;
  }

  inline bool
  CalcParser::yy_table_value_is_error_ (int yyvalue)
  {
    return yyvalue == yytable_ninf_;
  }

  int
  CalcParser::parse ()
  {
    /// Lookahead and lookahead in internal form.
    int yychar = yyempty_;
    int yytoken = 0;

    /* State.  */
    int yyn;
    int yylen = 0;
    int yystate = 0;

    /* Error handling.  */
    int yynerrs_ = 0;
    int yyerrstatus_ = 0;

    /// Semantic value of the lookahead.
    semantic_type yylval;
    /// Location of the lookahead.
    location_type yylloc;
    /// The locations where the error started and ended.
    location_type yyerror_range[3];

    /// $$.
    semantic_type yyval;
    /// @$.
    location_type yyloc;

    int yyresult;

    YYCDEBUG << "Starting parse" << std::endl;


    /* User initialization code.  */
    
/* Line 565 of lalr1.cc  */
#line 37 "CalcParse.yy"
{
  // Initialize the initial location.
  yylloc.begin.filename = yylloc.end.filename = &calcDriver.file();

  if(!calcDriver.vtable()) {
    calcDriver.error(yyloc,"internal error: variable table==NULL?\n");
    YYERROR;
  }

}

/* Line 565 of lalr1.cc  */
#line 404 "CalcParse.cpp"

    /* Initialize the stacks.  The initial state will be pushed in
       yynewstate, since the latter expects the semantical and the
       location values to have been already stored, initialize these
       stacks with a primary value.  */
    yystate_stack_ = state_stack_type (0);
    yysemantic_stack_ = semantic_stack_type (0);
    yylocation_stack_ = location_stack_type (0);
    yysemantic_stack_.push (yylval);
    yylocation_stack_.push (yylloc);

    /* New state.  */
  yynewstate:
    yystate_stack_.push (yystate);
    YYCDEBUG << "Entering state " << yystate << std::endl;

    /* Accept?  */
    if (yystate == yyfinal_)
      goto yyacceptlab;

    goto yybackup;

    /* Backup.  */
  yybackup:

    /* Try to take a decision without lookahead.  */
    yyn = yypact_[yystate];
    if (yy_pact_value_is_default_ (yyn))
      goto yydefault;

    /* Read a lookahead token.  */
    if (yychar == yyempty_)
      {
	YYCDEBUG << "Reading a token: ";
	yychar = yylex (&yylval, &yylloc, calcDriver, scanner);
      }


    /* Convert token to internal form.  */
    if (yychar <= yyeof_)
      {
	yychar = yytoken = yyeof_;
	YYCDEBUG << "Now at end of input." << std::endl;
      }
    else
      {
	yytoken = yytranslate_ (yychar);
	YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
      }

    /* If the proper action on seeing token YYTOKEN is to reduce or to
       detect an error, take that action.  */
    yyn += yytoken;
    if (yyn < 0 || yylast_ < yyn || yycheck_[yyn] != yytoken)
      goto yydefault;

    /* Reduce or error.  */
    yyn = yytable_[yyn];
    if (yyn <= 0)
      {
	if (yy_table_value_is_error_ (yyn))
	  goto yyerrlab;
	yyn = -yyn;
	goto yyreduce;
      }

    /* Shift the lookahead token.  */
    YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

    /* Discard the token being shifted.  */
    yychar = yyempty_;

    yysemantic_stack_.push (yylval);
    yylocation_stack_.push (yylloc);

    /* Count tokens shifted since error; after three, turn off error
       status.  */
    if (yyerrstatus_)
      --yyerrstatus_;

    yystate = yyn;
    goto yynewstate;

  /*-----------------------------------------------------------.
  | yydefault -- do the default action for the current state.  |
  `-----------------------------------------------------------*/
  yydefault:
    yyn = yydefact_[yystate];
    if (yyn == 0)
      goto yyerrlab;
    goto yyreduce;

  /*-----------------------------.
  | yyreduce -- Do a reduction.  |
  `-----------------------------*/
  yyreduce:
    yylen = yyr2_[yyn];
    /* If YYLEN is nonzero, implement the default value of the action:
       `$$ = $1'.  Otherwise, use the top of the stack.

       Otherwise, the following line sets YYVAL to garbage.
       This behavior is undocumented and Bison
       users should not rely upon it.  */
    if (yylen)
      yyval = yysemantic_stack_[yylen - 1];
    else
      yyval = yysemantic_stack_[0];

    {
      slice<location_type, location_stack_type> slice (yylocation_stack_, yylen);
      YYLLOC_DEFAULT (yyloc, slice, yylen);
    }
    YY_REDUCE_PRINT (yyn);
    switch (yyn)
      {
	  case 2:

/* Line 690 of lalr1.cc  */
#line 100 "CalcParse.yy"
    {calcDriver.setResult((yysemantic_stack_[(1) - (1)].vdval));delete (yysemantic_stack_[(1) - (1)].vdval);}
    break;

  case 3:

/* Line 690 of lalr1.cc  */
#line 103 "CalcParse.yy"
    {
  (yyval.vdval)=new VarData(0);
  if(calcDriver.debug())printf("\tstatements: empty  =%s \n",(yyval.vdval)->printS("%g")());
}
    break;

  case 4:

/* Line 690 of lalr1.cc  */
#line 107 "CalcParse.yy"
    { 
  (yyval.vdval)=(yysemantic_stack_[(1) - (1)].vdval); 
  if(calcDriver.debug())printf("\tstatements: statement  =%s \n",(yyval.vdval)->printS("%g")());  

}
    break;

  case 5:

/* Line 690 of lalr1.cc  */
#line 112 "CalcParse.yy"
    { 
  (yyval.vdval)=(yysemantic_stack_[(2) - (1)].vdval); 
  if(calcDriver.debug())printf("\tstatements: statements ';'  =%s \n"
			       ,(yyval.vdval)->printS("%g")());  
}
    break;

  case 6:

/* Line 690 of lalr1.cc  */
#line 117 "CalcParse.yy"
    { 
  (yyval.vdval)=(yysemantic_stack_[(2) - (1)].vdval); 
  if(calcDriver.debug())printf("\tstatements: statements EOL  =%s \n"
			       ,(yyval.vdval)->printS("%g")());  
}
    break;

  case 7:

/* Line 690 of lalr1.cc  */
#line 122 "CalcParse.yy"
    {  
  (yyval.vdval)=(yysemantic_stack_[(3) - (3)].vdval); 
  if(calcDriver.debug())printf("\tstatements: statements ';' statement=%s \n",
			       (yyval.vdval)->printS("%g")());
  delete (yysemantic_stack_[(3) - (1)].vdval);
}
    break;

  case 8:

/* Line 690 of lalr1.cc  */
#line 128 "CalcParse.yy"
    {  
  (yyval.vdval)=(yysemantic_stack_[(3) - (3)].vdval); 
  if(calcDriver.debug())printf("\tstatements: statements EOL statement=%s \n",
			       (yyval.vdval)->printS("%g")());
  delete (yysemantic_stack_[(3) - (1)].vdval);
}
    break;

  case 9:

/* Line 690 of lalr1.cc  */
#line 138 "CalcParse.yy"
    { (yyval.vdval)=(yysemantic_stack_[(1) - (1)].vdval);}
    break;

  case 10:

/* Line 690 of lalr1.cc  */
#line 139 "CalcParse.yy"
    {  
  if(!calcDriver.vtable()->define(*(yysemantic_stack_[(3) - (1)].name),*(yysemantic_stack_[(3) - (3)].vdval))){
    calcDriver.error(yyloc,Sprintf("attempt to write on constant '%s'",(yysemantic_stack_[(3) - (1)].name))());
    delete (yysemantic_stack_[(3) - (1)].name);
    delete (yysemantic_stack_[(3) - (3)].vdval);
    YYERROR;
  }; 
  (yyval.vdval)=(yysemantic_stack_[(3) - (3)].vdval); 
  delete (yysemantic_stack_[(3) - (1)].name);
}
    break;

  case 11:

/* Line 690 of lalr1.cc  */
#line 152 "CalcParse.yy"
    {(yyval.dval)=(yysemantic_stack_[(1) - (1)].ival);}
    break;

  case 12:

/* Line 690 of lalr1.cc  */
#line 153 "CalcParse.yy"
    {(yyval.dval)=(yysemantic_stack_[(1) - (1)].dval);}
    break;

  case 13:

/* Line 690 of lalr1.cc  */
#line 161 "CalcParse.yy"
    { 
  (yyval.vdval) = new VarData((yysemantic_stack_[(1) - (1)].dval));
  if(calcDriver.debug())printf("\texpowdiv: NUM =%s \n",(yyval.vdval)->printS("%g")());
}
    break;

  case 14:

/* Line 690 of lalr1.cc  */
#line 165 "CalcParse.yy"
    {
  (yyval.vdval)=new VarData(*(yysemantic_stack_[(1) - (1)].name));
  delete (yysemantic_stack_[(1) - (1)].name);
}
    break;

  case 15:

/* Line 690 of lalr1.cc  */
#line 169 "CalcParse.yy"
    {
  (yyval.vdval)=new VarData();
  if(!calcDriver.vtable()->getValue(*(yysemantic_stack_[(1) - (1)].name),*(yyval.vdval))){
    calcDriver.error(yylloc,Sprintf("reference to unknown variable %s",
				    (*(yysemantic_stack_[(1) - (1)].name))())());
    delete (yysemantic_stack_[(1) - (1)].name);
    YYERROR;
  };
  if(calcDriver.debug())printf("\texppowdiv: VAR %s=%s", (*(yysemantic_stack_[(1) - (1)].name))(),(yyval.vdval)->printS("%g")()); 
  delete (yysemantic_stack_[(1) - (1)].name);
}
    break;

  case 16:

/* Line 690 of lalr1.cc  */
#line 180 "CalcParse.yy"
    { 
  (yyval.vdval) = (yysemantic_stack_[(3) - (2)].vdval);
  if(calcDriver.debug())printf("\texpowdiv: (exp) =%s \n",(yyval.vdval)->printS("%g")());
}
    break;

  case 17:

/* Line 690 of lalr1.cc  */
#line 184 "CalcParse.yy"
    { 

  if((yysemantic_stack_[(4) - (1)].fptr)->type!=1){
    calcDriver.error(yylloc,"function called with too less arguments\n");
    YYERROR;
  }

  NOTREALERROR((yysemantic_stack_[(4) - (3)].vdval));
  
  double d=(yysemantic_stack_[(4) - (3)].vdval)->valueD();
  if(((yysemantic_stack_[(4) - (1)].fptr)->name==Functions::Sqrt) && d<0){
    calcDriver.error(yylloc,"sqrt with negative argument");
    YYERROR;
  }
  if(((yysemantic_stack_[(4) - (1)].fptr)->name==Functions::Acos) && (d<-1 || d>1) ){
    calcDriver.error(yylloc,"acos with invalid argument |x|>1");
    YYERROR;
  }
  if(((yysemantic_stack_[(4) - (1)].fptr)->name==Functions::Asin) && (d<-1 || d>1) ){
    calcDriver.error(yylloc,"asin with invalid argument |x|>1");
    YYERROR;
  }
  if(((yysemantic_stack_[(4) - (1)].fptr)->name==Functions::Log) && (d<=0) ){
    calcDriver.error(yylloc,"log with non-positive argument");
    YYERROR;
  }
  (yyval.vdval)=(yysemantic_stack_[(4) - (3)].vdval);
  *(yysemantic_stack_[(4) - (3)].vdval) = ((yysemantic_stack_[(4) - (1)].fptr)->fp1)(d); 
  if(calcDriver.debug())printf("\texpowdiv: FUNCTION1(exp) =%s \n"
			       ,(yyval.vdval)->printS("%g")());
}
    break;

  case 18:

/* Line 690 of lalr1.cc  */
#line 215 "CalcParse.yy"
    { 
  if((yysemantic_stack_[(6) - (1)].fptr)->type!=2){
    calcDriver.error(yylloc,"function called with too many arguments\n");
    YYERROR;
  }
  NOTREALERROR((yysemantic_stack_[(6) - (3)].vdval));
  NOTREALERROR((yysemantic_stack_[(6) - (5)].vdval));
  (yyval.vdval)=(yysemantic_stack_[(6) - (3)].vdval);
  *(yyval.vdval)=((yysemantic_stack_[(6) - (1)].fptr)->fp2)((yyval.vdval)->valueD(),(yysemantic_stack_[(6) - (5)].vdval)->valueD());
  if(calcDriver.debug())printf("\texpowdiv: FUNCTION2(exp,exp) =%s \n"
			       ,(yyval.vdval)->printS("%g")());
  delete (yysemantic_stack_[(6) - (5)].vdval);
}
    break;

  case 19:

/* Line 690 of lalr1.cc  */
#line 228 "CalcParse.yy"
    { 
  NOTREALERROR((yysemantic_stack_[(3) - (1)].vdval));
  NOTREALERROR((yysemantic_stack_[(3) - (3)].vdval));
  double d1=(yysemantic_stack_[(3) - (1)].vdval)->valueD();
  double d3=(yysemantic_stack_[(3) - (3)].vdval)->valueD();
  if( (d1<0) && (((int)d3)!=d3) ){
    calcDriver.error(yylloc,"negative number raised to a non integer power");
    YYERROR;
  }
  if(calcDriver.debug())printf("\texppowdiv:exppowdiv^exppowdiv "
			       "%s=%s ^ %s \n"
			       ,(yyval.vdval)->printS("%g")(),(yysemantic_stack_[(3) - (1)].vdval)->printS("%g")(),(yysemantic_stack_[(3) - (3)].vdval)->printS("%g")());
  (yyval.vdval)=(yysemantic_stack_[(3) - (1)].vdval);
  *(yyval.vdval)=Functions::pow2(d1,d3);
  delete (yysemantic_stack_[(3) - (3)].vdval);
}
    break;

  case 20:

/* Line 690 of lalr1.cc  */
#line 244 "CalcParse.yy"
    { 
  NOTREALERROR((yysemantic_stack_[(3) - (1)].vdval));
  NOTREALERROR((yysemantic_stack_[(3) - (3)].vdval));
  (yyval.vdval)=(yysemantic_stack_[(3) - (1)].vdval);
  *(yyval.vdval)*=*(yysemantic_stack_[(3) - (3)].vdval);
  if(calcDriver.debug())
    printf("\texppowdiv:exppowdiv*exppowdiv %s=%s * %s \n"
	   ,(yyval.vdval)->printS("%g")(),(yysemantic_stack_[(3) - (1)].vdval)->printS("%g")(),(yysemantic_stack_[(3) - (3)].vdval)->printS("%g")());
  delete (yysemantic_stack_[(3) - (3)].vdval);
}
    break;

  case 21:

/* Line 690 of lalr1.cc  */
#line 254 "CalcParse.yy"
    { 
  NOTREALERROR((yysemantic_stack_[(3) - (1)].vdval));
  NOTREALERROR((yysemantic_stack_[(3) - (3)].vdval));
  if((yysemantic_stack_[(3) - (3)].vdval)->valueD()==0){
    calcDriver.error(yylloc,"division by zero");
    YYERROR;
  }
  (yyval.vdval)=(yysemantic_stack_[(3) - (1)].vdval);
  *(yyval.vdval)/=*(yysemantic_stack_[(3) - (3)].vdval);
  if(calcDriver.debug())
    printf("\texppowdiv:exppowdiv/exppowdiv %s=%s / %s \n"
	   ,(yyval.vdval)->printS("%g")(),(yysemantic_stack_[(3) - (1)].vdval)->printS("%g")(),(yysemantic_stack_[(3) - (3)].vdval)->printS("%g")());
  delete (yysemantic_stack_[(3) - (3)].vdval);
}
    break;

  case 22:

/* Line 690 of lalr1.cc  */
#line 271 "CalcParse.yy"
    { 
  (yyval.vdval) = (yysemantic_stack_[(1) - (1)].vdval) ;
  if(calcDriver.debug())printf("\texp:exppowdiv =%s \n",(yyval.vdval)->printS("%g")());
 }
    break;

  case 23:

/* Line 690 of lalr1.cc  */
#line 275 "CalcParse.yy"
    { 
  NOTREALERROR((yysemantic_stack_[(2) - (2)].vdval));
  (yyval.vdval)=(yysemantic_stack_[(2) - (2)].vdval);
  *(yyval.vdval)=-*(yyval.vdval);
  if(calcDriver.debug())printf("\texp:-exppowdiv =%s \n",(yyval.vdval)->printS("%g")());
}
    break;

  case 24:

/* Line 690 of lalr1.cc  */
#line 281 "CalcParse.yy"
    { 
  NOTREALERROR((yysemantic_stack_[(2) - (2)].vdval));
  (yyval.vdval) = (yysemantic_stack_[(2) - (2)].vdval) ;
  if(calcDriver.debug())printf("\texp:+exppowdiv =%s \n",(yyval.vdval)->printS("%g")());
}
    break;

  case 25:

/* Line 690 of lalr1.cc  */
#line 286 "CalcParse.yy"
    { 
  NOTREALERROR((yysemantic_stack_[(3) - (1)].vdval));
  NOTREALERROR((yysemantic_stack_[(3) - (3)].vdval));
  (yyval.vdval)=(yysemantic_stack_[(3) - (1)].vdval);
  *(yysemantic_stack_[(3) - (1)].vdval)+=*(yysemantic_stack_[(3) - (3)].vdval);
  if(calcDriver.debug())printf("\texp:exp*exppowdiv %s=%s + %s \n",
			       (yyval.vdval)->printS("%g")(),(yysemantic_stack_[(3) - (1)].vdval)->printS("%g")(),(yysemantic_stack_[(3) - (3)].vdval)->printS("%g")());
  delete (yysemantic_stack_[(3) - (3)].vdval);
}
    break;

  case 26:

/* Line 690 of lalr1.cc  */
#line 295 "CalcParse.yy"
    { 
  NOTREALERROR((yysemantic_stack_[(3) - (1)].vdval));
  NOTREALERROR((yysemantic_stack_[(3) - (3)].vdval));
  (yyval.vdval)=(yysemantic_stack_[(3) - (1)].vdval);
  *(yysemantic_stack_[(3) - (1)].vdval)-=*(yysemantic_stack_[(3) - (3)].vdval);
  if(calcDriver.debug())printf("\texp:exp*exppowdiv %s=%s - %s \n",
			       (yyval.vdval)->printS("%g")(),(yysemantic_stack_[(3) - (1)].vdval)->printS("%g")(),(yysemantic_stack_[(3) - (3)].vdval)->printS("%g")());
  delete (yysemantic_stack_[(3) - (3)].vdval);
}
    break;



/* Line 690 of lalr1.cc  */
#line 858 "CalcParse.cpp"
	default:
          break;
      }
    /* User semantic actions sometimes alter yychar, and that requires
       that yytoken be updated with the new translation.  We take the
       approach of translating immediately before every use of yytoken.
       One alternative is translating here after every semantic action,
       but that translation would be missed if the semantic action
       invokes YYABORT, YYACCEPT, or YYERROR immediately after altering
       yychar.  In the case of YYABORT or YYACCEPT, an incorrect
       destructor might then be invoked immediately.  In the case of
       YYERROR, subsequent parser actions might lead to an incorrect
       destructor call or verbose syntax error message before the
       lookahead is translated.  */
    YY_SYMBOL_PRINT ("-> $$ =", yyr1_[yyn], &yyval, &yyloc);

    yypop_ (yylen);
    yylen = 0;
    YY_STACK_PRINT ();

    yysemantic_stack_.push (yyval);
    yylocation_stack_.push (yyloc);

    /* Shift the result of the reduction.  */
    yyn = yyr1_[yyn];
    yystate = yypgoto_[yyn - yyntokens_] + yystate_stack_[0];
    if (0 <= yystate && yystate <= yylast_
	&& yycheck_[yystate] == yystate_stack_[0])
      yystate = yytable_[yystate];
    else
      yystate = yydefgoto_[yyn - yyntokens_];
    goto yynewstate;

  /*------------------------------------.
  | yyerrlab -- here on detecting error |
  `------------------------------------*/
  yyerrlab:
    /* Make sure we have latest lookahead translation.  See comments at
       user semantic actions for why this is necessary.  */
    yytoken = yytranslate_ (yychar);

    /* If not already recovering from an error, report this error.  */
    if (!yyerrstatus_)
      {
	++yynerrs_;
	if (yychar == yyempty_)
	  yytoken = yyempty_;
	error (yylloc, yysyntax_error_ (yystate, yytoken));
      }

    yyerror_range[1] = yylloc;
    if (yyerrstatus_ == 3)
      {
	/* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

	if (yychar <= yyeof_)
	  {
	  /* Return failure if at end of input.  */
	  if (yychar == yyeof_)
	    YYABORT;
	  }
	else
	  {
	    yydestruct_ ("Error: discarding", yytoken, &yylval, &yylloc);
	    yychar = yyempty_;
	  }
      }

    /* Else will try to reuse lookahead token after shifting the error
       token.  */
    goto yyerrlab1;


  /*---------------------------------------------------.
  | yyerrorlab -- error raised explicitly by YYERROR.  |
  `---------------------------------------------------*/
  yyerrorlab:

    /* Pacify compilers like GCC when the user code never invokes
       YYERROR and the label yyerrorlab therefore never appears in user
       code.  */
    if (false)
      goto yyerrorlab;

    yyerror_range[1] = yylocation_stack_[yylen - 1];
    /* Do not reclaim the symbols of the rule which action triggered
       this YYERROR.  */
    yypop_ (yylen);
    yylen = 0;
    yystate = yystate_stack_[0];
    goto yyerrlab1;

  /*-------------------------------------------------------------.
  | yyerrlab1 -- common code for both syntax error and YYERROR.  |
  `-------------------------------------------------------------*/
  yyerrlab1:
    yyerrstatus_ = 3;	/* Each real token shifted decrements this.  */

    for (;;)
      {
	yyn = yypact_[yystate];
	if (!yy_pact_value_is_default_ (yyn))
	{
	  yyn += yyterror_;
	  if (0 <= yyn && yyn <= yylast_ && yycheck_[yyn] == yyterror_)
	    {
	      yyn = yytable_[yyn];
	      if (0 < yyn)
		break;
	    }
	}

	/* Pop the current state because it cannot handle the error token.  */
	if (yystate_stack_.height () == 1)
	YYABORT;

	yyerror_range[1] = yylocation_stack_[0];
	yydestruct_ ("Error: popping",
		     yystos_[yystate],
		     &yysemantic_stack_[0], &yylocation_stack_[0]);
	yypop_ ();
	yystate = yystate_stack_[0];
	YY_STACK_PRINT ();
      }

    yyerror_range[2] = yylloc;
    // Using YYLLOC is tempting, but would change the location of
    // the lookahead.  YYLOC is available though.
    YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
    yysemantic_stack_.push (yylval);
    yylocation_stack_.push (yyloc);

    /* Shift the error token.  */
    YY_SYMBOL_PRINT ("Shifting", yystos_[yyn],
		     &yysemantic_stack_[0], &yylocation_stack_[0]);

    yystate = yyn;
    goto yynewstate;

    /* Accept.  */
  yyacceptlab:
    yyresult = 0;
    goto yyreturn;

    /* Abort.  */
  yyabortlab:
    yyresult = 1;
    goto yyreturn;

  yyreturn:
    if (yychar != yyempty_)
      {
        /* Make sure we have latest lookahead translation.  See comments
           at user semantic actions for why this is necessary.  */
        yytoken = yytranslate_ (yychar);
        yydestruct_ ("Cleanup: discarding lookahead", yytoken, &yylval,
                     &yylloc);
      }

    /* Do not reclaim the symbols of the rule which action triggered
       this YYABORT or YYACCEPT.  */
    yypop_ (yylen);
    while (yystate_stack_.height () != 1)
      {
	yydestruct_ ("Cleanup: popping",
		   yystos_[yystate_stack_[0]],
		   &yysemantic_stack_[0],
		   &yylocation_stack_[0]);
	yypop_ ();
      }

    return yyresult;
  }

  // Generate an error message.
  std::string
  CalcParser::yysyntax_error_ (int yystate, int yytoken)
  {
    std::string yyres;
    // Number of reported tokens (one for the "unexpected", one per
    // "expected").
    size_t yycount = 0;
    // Its maximum.
    enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
    // Arguments of yyformat.
    char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];

    /* There are many possibilities here to consider:
       - If this state is a consistent state with a default action, then
         the only way this function was invoked is if the default action
         is an error action.  In that case, don't check for expected
         tokens because there are none.
       - The only way there can be no lookahead present (in yytoken) is
         if this state is a consistent state with a default action.
         Thus, detecting the absence of a lookahead is sufficient to
         determine that there is no unexpected or expected token to
         report.  In that case, just report a simple "syntax error".
       - Don't assume there isn't a lookahead just because this state is
         a consistent state with a default action.  There might have
         been a previous inconsistent state, consistent state with a
         non-default action, or user semantic action that manipulated
         yychar.
       - Of course, the expected token list depends on states to have
         correct lookahead information, and it depends on the parser not
         to perform extra reductions after fetching a lookahead from the
         scanner and before detecting a syntax error.  Thus, state
         merging (from LALR or IELR) and default reductions corrupt the
         expected token list.  However, the list is correct for
         canonical LR with one exception: it will still contain any
         token that will not be accepted due to an error action in a
         later state.
    */
    if (yytoken != yyempty_)
      {
        yyarg[yycount++] = yytname_[yytoken];
        int yyn = yypact_[yystate];
        if (!yy_pact_value_is_default_ (yyn))
          {
            /* Start YYX at -YYN if negative to avoid negative indexes in
               YYCHECK.  In other words, skip the first -YYN actions for
               this state because they are default actions.  */
            int yyxbegin = yyn < 0 ? -yyn : 0;
            /* Stay within bounds of both yycheck and yytname.  */
            int yychecklim = yylast_ - yyn + 1;
            int yyxend = yychecklim < yyntokens_ ? yychecklim : yyntokens_;
            for (int yyx = yyxbegin; yyx < yyxend; ++yyx)
              if (yycheck_[yyx + yyn] == yyx && yyx != yyterror_
                  && !yy_table_value_is_error_ (yytable_[yyx + yyn]))
                {
                  if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                    {
                      yycount = 1;
                      break;
                    }
                  else
                    yyarg[yycount++] = yytname_[yyx];
                }
          }
      }

    char const* yyformat = 0;
    switch (yycount)
      {
#define YYCASE_(N, S)                         \
        case N:                               \
          yyformat = S;                       \
        break
        YYCASE_(0, YY_("syntax error"));
        YYCASE_(1, YY_("syntax error, unexpected %s"));
        YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
        YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
        YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
        YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
      }

    // Argument number.
    size_t yyi = 0;
    for (char const* yyp = yyformat; *yyp; ++yyp)
      if (yyp[0] == '%' && yyp[1] == 's' && yyi < yycount)
        {
          yyres += yytnamerr_ (yyarg[yyi++]);
          ++yyp;
        }
      else
        yyres += *yyp;
    return yyres;
  }


  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
  const signed char CalcParser::yypact_ninf_ = -12;
  const signed char
  CalcParser::yypact_[] =
  {
        20,   -12,   -12,   -12,     1,    -2,     5,     5,    31,    25,
       0,   -12,   -12,   -11,    -4,    31,    31,   -12,   -11,   -11,
      35,   -12,    20,    20,     5,     5,     5,     5,     5,    -4,
      33,   -12,   -12,   -12,    11,    11,    11,   -11,   -11,   -12,
      31,    38,   -12
  };

  /* YYDEFACT[S] -- default reduction number in state S.  Performed when
     YYTABLE doesn't specify something else to do.  Zero means the
     default is an error.  */
  const unsigned char
  CalcParser::yydefact_[] =
  {
         3,    11,    12,    14,    15,     0,     0,     0,     0,     0,
       2,     4,    13,    22,     9,     0,     0,    15,    23,    24,
       0,     1,     6,     5,     0,     0,     0,     0,     0,    10,
       0,    16,     8,     7,    20,    21,    19,    26,    25,    17,
       0,     0,    18
  };

  /* YYPGOTO[NTERM-NUM].  */
  const signed char
  CalcParser::yypgoto_[] =
  {
       -12,   -12,   -12,    13,   -12,    -5,    -8
  };

  /* YYDEFGOTO[NTERM-NUM].  */
  const signed char
  CalcParser::yydefgoto_[] =
  {
        -1,     9,    10,    11,    12,    13,    14
  };

  /* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule which
     number is the opposite.  If YYTABLE_NINF_, syntax error.  */
  const signed char CalcParser::yytable_ninf_ = -1;
  const unsigned char
  CalcParser::yytable_[] =
  {
        20,    18,    19,    22,    24,    25,    26,    29,    30,    27,
      28,     1,     2,    15,     3,    17,     5,    16,    23,    34,
      35,    36,    37,    38,     8,    21,     1,     2,    26,     3,
       4,     5,    41,     6,     7,    32,    33,     1,     2,     8,
       3,    17,     5,     0,     6,     7,    27,    28,    27,    28,
       8,    27,    28,    39,    40,    31,     0,     0,    42
  };

  /* YYCHECK.  */
  const signed char
  CalcParser::yycheck_[] =
  {
         8,     6,     7,     3,    15,    16,    17,    15,    16,    13,
      14,     6,     7,    12,     9,    10,    11,    19,    18,    24,
      25,    26,    27,    28,    19,     0,     6,     7,    17,     9,
      10,    11,    40,    13,    14,    22,    23,     6,     7,    19,
       9,    10,    11,    -1,    13,    14,    13,    14,    13,    14,
      19,    13,    14,    20,    21,    20,    -1,    -1,    20
  };

  /* STOS_[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
  const unsigned char
  CalcParser::yystos_[] =
  {
         0,     6,     7,     9,    10,    11,    13,    14,    19,    23,
      24,    25,    26,    27,    28,    12,    19,    10,    27,    27,
      28,     0,     3,    18,    15,    16,    17,    13,    14,    28,
      28,    20,    25,    25,    27,    27,    27,    27,    27,    20,
      21,    28,    20
  };

#if YYDEBUG
  /* TOKEN_NUMBER_[YYLEX-NUM] -- Internal symbol number corresponding
     to YYLEX-NUM.  */
  const unsigned short int
  CalcParser::yytoken_number_[] =
  {
         0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,    61,    45,    43,    42,    47,    94,    59,    40,
      41,    44
  };
#endif

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
  const unsigned char
  CalcParser::yyr1_[] =
  {
         0,    22,    23,    24,    24,    24,    24,    24,    24,    25,
      25,    26,    26,    27,    27,    27,    27,    27,    27,    27,
      27,    27,    28,    28,    28,    28,    28
  };

  /* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
  const unsigned char
  CalcParser::yyr2_[] =
  {
         0,     2,     1,     0,     1,     2,     2,     3,     3,     1,
       3,     1,     1,     1,     1,     1,     3,     4,     6,     3,
       3,     3,     1,     2,     2,     3,     3
  };

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
  /* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
     First, the terminals, then, starting at \a yyntokens_, nonterminals.  */
  const char*
  const CalcParser::yytname_[] =
  {
    "\"end of file\"", "error", "$undefined", "\"end of line\"",
  "\"lexical error\"", "\"comment line\"", "\"unsigend integer\"",
  "\"unsigned real\"", "\"number\"", "\"string constant\"", "\"variable\"",
  "\"function\"", "'='", "'-'", "'+'", "'*'", "'/'", "'^'", "';'", "'('",
  "')'", "','", "$accept", "input", "statements", "statement",
  "realconstant", "exppowdiv", "exp", 0
  };
#endif

#if YYDEBUG
  /* YYRHS -- A `-1'-separated list of the rules' RHS.  */
  const CalcParser::rhs_number_type
  CalcParser::yyrhs_[] =
  {
        23,     0,    -1,    24,    -1,    -1,    25,    -1,    24,    18,
      -1,    24,     3,    -1,    24,    18,    25,    -1,    24,     3,
      25,    -1,    28,    -1,    10,    12,    28,    -1,     6,    -1,
       7,    -1,    26,    -1,     9,    -1,    10,    -1,    19,    28,
      20,    -1,    11,    19,    28,    20,    -1,    11,    19,    28,
      21,    28,    20,    -1,    27,    17,    27,    -1,    27,    15,
      27,    -1,    27,    16,    27,    -1,    27,    -1,    13,    27,
      -1,    14,    27,    -1,    28,    14,    27,    -1,    28,    13,
      27,    -1
  };

  /* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
     YYRHS.  */
  const unsigned char
  CalcParser::yyprhs_[] =
  {
         0,     0,     3,     5,     6,     8,    11,    14,    18,    22,
      24,    28,    30,    32,    34,    36,    38,    42,    47,    54,
      58,    62,    66,    68,    71,    74,    78
  };

  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
  const unsigned short int
  CalcParser::yyrline_[] =
  {
         0,   100,   100,   103,   107,   112,   117,   122,   128,   138,
     139,   152,   153,   161,   165,   169,   180,   184,   215,   228,
     244,   254,   271,   275,   281,   286,   295
  };

  // Print the state stack on the debug stream.
  void
  CalcParser::yystack_print_ ()
  {
    *yycdebug_ << "Stack now";
    for (state_stack_type::const_iterator i = yystate_stack_.begin ();
	 i != yystate_stack_.end (); ++i)
      *yycdebug_ << ' ' << *i;
    *yycdebug_ << std::endl;
  }

  // Report on the debug stream that the rule \a yyrule is going to be reduced.
  void
  CalcParser::yy_reduce_print_ (int yyrule)
  {
    unsigned int yylno = yyrline_[yyrule];
    int yynrhs = yyr2_[yyrule];
    /* Print the symbols being reduced, and their result.  */
    *yycdebug_ << "Reducing stack by rule " << yyrule - 1
	       << " (line " << yylno << "):" << std::endl;
    /* The symbols being reduced.  */
    for (int yyi = 0; yyi < yynrhs; yyi++)
      YY_SYMBOL_PRINT ("   $" << yyi + 1 << " =",
		       yyrhs_[yyprhs_[yyrule] + yyi],
		       &(yysemantic_stack_[(yynrhs) - (yyi + 1)]),
		       &(yylocation_stack_[(yynrhs) - (yyi + 1)]));
  }
#endif // YYDEBUG

  /* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
  CalcParser::token_number_type
  CalcParser::yytranslate_ (int t)
  {
    static
    const token_number_type
    translate_table[] =
    {
           0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
      19,    20,    15,    14,    21,    13,     2,    16,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,    18,
       2,    12,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,    17,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11
    };
    if ((unsigned int) t <= yyuser_token_number_max_)
      return translate_table[t];
    else
      return yyundef_token_;
  }

  const int CalcParser::yyeof_ = 0;
  const int CalcParser::yylast_ = 58;
  const int CalcParser::yynnts_ = 7;
  const int CalcParser::yyempty_ = -2;
  const int CalcParser::yyfinal_ = 21;
  const int CalcParser::yyterror_ = 1;
  const int CalcParser::yyerrcode_ = 256;
  const int CalcParser::yyntokens_ = 22;

  const unsigned int CalcParser::yyuser_token_number_max_ = 266;
  const CalcParser::token_number_type CalcParser::yyundef_token_ = 2;


/* Line 1136 of lalr1.cc  */
#line 4 "CalcParse.yy"
} // CALC

/* Line 1136 of lalr1.cc  */
#line 1378 "CalcParse.cpp"


/* Line 1138 of lalr1.cc  */
#line 307 "CalcParse.yy"

/* Epilogue */

/* ***********************************************************************
 *
 * ***********************************************************************
 */
void CALC::CalcParser::error(const CALC::CalcParser::location_type& l,
			     const std::string& m)
{
  calcDriver.error(l,m);
}




