/* @(#)Exception.h
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _EXCEPTION_H
#define _EXCEPTION_H 1

#include "FString.hh"

class Exception
{
  //
 public:
  enum Severity{information=0,warning=1,error=2,fatalerror=3};
  Exception(const String &msg="Error occured",Severity severity=fatalerror)
    :pmsg(msg),pseverity(severity){};
  const String &msg() const{return pmsg; };
  Severity severity()const{return pseverity;};
 private:
  String pmsg;
  Severity pseverity;

};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _EXCEPTION_H */

