/*************************************************************************
 * @(#)MyQRgb.cpp
 * author: magru@unas
 * date:   10 Jul 2013
 *************************************************************************
 */

#if (defined QXFSF)|| (defined QXFPL)

#include "MyQRgb.hh"
#include "MyMath.hh"

QRgb scaleRgb(QRgb c,double factor)
{
  QRgb r;
  r=ulRound(MyMath::min(255.,factor*qRed(c)))<<16;
  r+=ulRound(MyMath::min(255.,factor*qGreen(c)))<<8;
  r+=ulRound(MyMath::min(255.,factor*qBlue(c)));
  r+=ulRound(MyMath::min(255.,factor*qAlpha(c)))<<24;
  return r;

}

QRgb addRgb(QRgb a,QRgb b)
{
  QRgb r;
  r=MyMath::min(255,qRed(a)+qRed(b))<<16;
  r+=MyMath::min(255,qGreen(a)+qGreen(b))<<8;
  r+=MyMath::min(255,qBlue(a)+qBlue(b));
  r+=MyMath::min(255,qAlpha(a)+qAlpha(b))<<24;
  
  return r;
}

#endif


/*EOF*/ 
