/* @(#)mclock.c
 */
#include <sys/times.h>
#include <stdio.h>
#include <time.h>
#include <unistd.h>
#include "cio.h"
#include "fortrantypes.h"
#include "merror.h"
#include "tools.h"

/* ***********************************************************************
 * wrapper for  f90 to C calls
 * dont use them in c code !!!
 * ***********************************************************************
 */


/* ***********************************************************************
 *
 * ***********************************************************************
 */
void CFUNC(cgetdate)(char *result,FPLOLOGICAL *err,char *errormsg
		     ,INTERNAL_INTEGER result_len,INTERNAL_INTEGER err_len)
{
  char buf[5001];
  time_t t;
  
  *err=L_FALSE;
  
  (void)time(&t);
  (void)sprintf(buf,"%s",ctime(&t));
  chop(buf); 

  if(!c2fstrncpy(result,buf,(long)result_len,0L))
    goto error;
  
  return ;
 error:
  (void)c2fstrncpy(errormsg,errorbuffer,(long)err_len,1L);
  *err=L_TRUE;
  return ;
  
}


/************************************************************************
 *  return cpu-clock
 *
 ************************************************************************/
/*
 *define naming convention of the subroutines
 */
void CFUNC(cgetcpuclock)(FPLODOUBLEPRECISION *clockval)
{
  /*   FILE *FH; */
  struct tms tms; 
  clock_t c;
/*   clock_t  cit1; */
  long CLK;


/*   cit1=clock(); */

/*   *clockval= (DINTEGER) cit1/CLOCKS_PER_SEC; */


/*   CLK=sysconf (_SC_CLK_TCK) ; */

/*   FH=fopen("mclock","a"); */
/*   fprintf(FH,"%d\n",*ret_val); */
 
/*   c=times( &tms); */

/*   fprintf(FH,"times                   : %ld \n", c ); */
/*   fprintf(FH,"clocks                  : %ld \n", cit1 ); */
/*   fprintf(FH,"CLOCKS_PER_SEC          : %ld \n", CLOCKS_PER_SEC ); */
/*   fprintf(FH,"CLK_TCK                 : %ld \n", CLK_TCK ); */
/*   fprintf(FH,"CLK                     : %ld \n", CLK ); */
/*   fprintf(FH,"user time               : %ld \n", tms.tms_utime ); */
/*   fprintf(FH,"system time             : %ld \n", tms.tms_stime );  */
/*   fprintf(FH,"user time of children   : %ld \n", tms.tms_cutime ); */
/*   fprintf(FH,"system time of children : %ld \n", tms.tms_cstime ); */
  
/*   fclose(FH); */

  c=times( &tms);
  CLK=sysconf (_SC_CLK_TCK) ;
  *clockval=((FPLODOUBLEPRECISION)(tms.tms_utime+tms.tms_stime))/CLK;

  c=c;
  return ;
} /* mclock_ */
