/* @(#)stdstack.h
 */

#ifndef _STDSTACK_H
#define _STDSTACK_H 1

#define STRSTACK_DEPTH 10

#include "ioconfig.h"
#include "table.h"
struct vartable;
struct structarray;

/* a simple stack data type */
typedef struct structdatastackdata{
  long saindx;
  struct vartable * structmember;
  struct vartable * parent;
  struct vartable * currentnode;
  char structname[MAX_ID_LENGTH+1];
  VARTABLE structtable;
}STRUCTDATASTACKDATA;

/* a simple stack type */
typedef struct structdatastack{
  STRUCTDATASTACKDATA stdstack[STRSTACK_DEPTH];
  STRUCTDATASTACKDATA *stdtop;
  long aschar;
  long depth;
}STRUCTDATASTACK;


#ifdef	__cplusplus
extern "C" {
#endif

  extern long init_stdstack(STRUCTDATASTACK *std,long aschar); 
  extern long clean_stdstack(STRUCTDATASTACK *std);
  extern long push_stdstack(STRUCTDATASTACK *std);
  extern long pop_stdstack(STRUCTDATASTACK *std);

#ifdef	__cplusplus
}
#endif

#endif /* _STDSTACK_H */

