!!***********************************************************************
Module file_iounits


  Use PrecisionDefs
  !
  Implicit None 
  !
  Private
  !
  Public ::outfile,errfile,stdout,stderr,cpa_p_unit,cpa_ef_unit&
       &,bands_unit,bandweights_unit,debug_unit,bandcoeff_unit&
       &,wancoeff_unit,wanbands_unit,wanbandweights_unit&
       &,stmbandweights_unit,unfoldbandweights_unit,dump_ks_unit&
       &,opticsbands_unit,bandweightslms_unit,bwdef_unit&
       &,unfoldbandweightslms_unit,kspintexture_unit
  !!
  Character(*),Parameter::nmodule="FILE_IOUNITS"         
  !!@\parameter{outfile}{The unit type of the normal output}
  Integer(t_int) :: outfile =6_t_int
  !!@\parameter{errfile}{The unit type of the error output, should not be used
  !! outside errmsg, due to filehandling (append)}
  Integer(t_int) , Parameter :: errfile =7_t_int
  !!@\parameter{stdout}{The unit type of stdout}
  Integer(t_int)             :: stdout  =6_t_int
  !!@\parameter{stderr}{The unit type of stderr}
  Integer(t_int) , Parameter :: stderr  =0_t_int
  !! CPA SCF loop protocol
  Integer(t_int) , Parameter :: cpa_p_unit =14_t_int
  !! CPA Efermi iteration loop protocol
  Integer(t_int) , Parameter :: cpa_ef_unit =72_t_int
  !! band structure, bloch spectral density unit
  Integer(t_int) , Parameter :: bands_unit =9_t_int
  !! band weights unit
  Integer(t_int) , Parameter :: bandweights_unit          =30_t_int
  Integer(t_int) , Parameter :: bandweightslms_unit       =31_t_int!dont change
  Integer(t_int) , Parameter :: unfoldbandweights_unit    =32_t_int!dont change
  Integer(t_int) , Parameter :: unfoldbandweightslms_unit =33_t_int!dont change
  !!
  Integer(t_int) , Parameter :: stmbandweights_unit =55_t_int
  Integer(t_int) , Parameter :: opticsbands_unit =59_t_int
  Integer(t_int) , Parameter :: bwdef_unit =64_t_int
  !! band coefficient unit
  Integer(t_int) , Parameter :: bandcoeff_unit =11_t_int
  !! wannier coefficient unit
  Integer(t_int) , Parameter :: wancoeff_unit =57_t_int
  !! wannier bands unit
  Integer(t_int) , Parameter :: wanbands_unit =58_t_int
  !! wannier band weights unit
  Integer(t_int) , Parameter :: wanbandweights_unit =61_t_int
  !! k-space spin textures
  Integer(t_int) , Parameter :: kspintexture_unit =65_t_int
  !! debug file
  Integer(t_int) , Parameter :: debug_unit =66_t_int
  !! KS-dump
  Integer(t_int) , Parameter :: dump_ks_unit =63_t_int



End Module file_iounits

