Module tcoreoccupation
  !!
  Use precisiondefs
  !!
  Implicit None 
  !!
  Private
  !!
  Character(*),Parameter::nmodule="TCOREOCCUPATION"  
  !!
  Public :: T_Coreoccu,init_coreoccu
  !!***********************************************************************
  !! IO class for handling of core occupation numbers (non-relativistic)
  Type T_Coreoccu
     Integer(t_int) :: count
     Integer(t_int),Pointer  :: p_sort(:)
     Real(t_real),Pointer   :: p_spinup(:,:)
     Real(t_real),Pointer   :: p_spindn(:,:)
     Character(200),Pointer :: p_state(:)
  End Type T_Coreoccu
  !!***********************************************************************
contains
  Subroutine init_coreoccu(co)
    Implicit None 
    !!IO
    Type(T_Coreoccu),Intent(inout) :: co 
    !!LOCAL
    Nullify(co% p_sort)
    Nullify(co% p_spinup)
    Nullify(co% p_spindn)
    Nullify(co% p_state)
  End Subroutine init_coreoccu
  !!***********************************************************************
  

End Module tcoreoccupation



 
