/* @(#)plotview.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _PLOTVIEW_H
#define _PLOTVIEW_H 1


#include "graphview.hh"

class QMenu;
class MainWindow;

class PlotView: public GraphView
{
  Q_OBJECT
  public:
  PlotView( MainWindow *parent = 0, Qt::WFlags f = 0);
  ~PlotView();
  virtual long save(long saveas);
  virtual long print(long saveas);
  virtual void load();
  virtual void loadOld();
  virtual void setup();
  void loadFile(const QString &filename,bool oldformat);

 private:
  bool p_knowfname;
  QString p_filename;

};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _PLOTVIEW_H */

