/* @(#)ApplyDlg.h
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _APPLYDLG_H
#define _APPLYDLG_H 1

#include "ui_ApplyDlg.h"
#include "BrainDialog.hh"

class DlgReg;

class ApplyDlg: public BrainDialog, protected Ui::ApplyDlg
{
  Q_OBJECT
public:
  ApplyDlg(QWidget *parent,QWidget *base,const char *name);

  void setData(DlgReg *dlgreg);

  static long applyDlg(QWidget *parent,DlgReg *dlgreg);

 private slots:
  void on_pbOk_clicked();
  void on_pbDontApply_clicked(){QDialog::reject();};
  void on_cbShowAll_toggled(bool);
  void on_pbApplyAll_clicked();

 private:
  DlgReg *pdlgreg;
};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _APPLYDLG_H */

