/* @(#)BandDlgControl.h
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _BANDDLGCONTROL_H
#define _BANDDLGCONTROL_H 1

#include <QWidget> 
#include "ui_BandDlgControl.h"

class Page;
class IOControl;

class BandDlgControl:public QWidget, protected Ui::BandDlgControl
{
 Q_OBJECT
public:
  BandDlgControl(QWidget *parent);
  ~BandDlgControl();

  void setData(IOControl *iobc,const Page *page);
  IOControl *getData();

 private:
  IOControl *piobc;
  const Page *ppage;

};
#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _BANDDLGCONTROL_H */

