/* @(#)MyPlainTextEdit.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _MYPLAINTEXTEDIT_H
#define _MYPLAINTEXTEDIT_H 1

#include <QPlainTextEdit>
#include <QTextEdit>



/* ***********************************************************************
 *
 * ***********************************************************************
 */
class MyPlainTextEdit:public QPlainTextEdit
{
  Q_OBJECT
 public:
  MyPlainTextEdit(QWidget *parent):QPlainTextEdit(parent){};
 protected:
  virtual void contextMenuEvent(QContextMenuEvent *event);
 signals:
  void menuRequest(QAction*,QMenu*);
};

/* ***********************************************************************
 *
 * ***********************************************************************
 */
class MyTextEdit:public QTextEdit
{
  Q_OBJECT
  public:
  MyTextEdit(QWidget *parent);
  ~MyTextEdit();

  

signals:
  void menuRequest(QAction*,QMenu*);
protected:
  virtual void contextMenuEvent(QContextMenuEvent *event);
private:
};


#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _MYPLAINTEXTEDIT_H */

