/* @(#)PrintDlg.h
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _PRINTDLG_H
#define _PRINTDLG_H 1

#include <QDialog>
#include <QCloseEvent>
#include "ui_PrintDlg.h"

class PrintDlg: public QDialog, protected Ui::PrintDlg
{
  Q_OBJECT
public:
  PrintDlg(QWidget *parent,const QString &filename);
  ~PrintDlg();

  const QString fileName()const{return leFileName->text();};

public slots:
  virtual void reject(){ QDialog::reject();};

private slots:
  void on_pbPrint_clicked();
  void on_pbCancel_clicked(){ reject(); };
  void on_pbBrowse_clicked();

 private:
};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _PRINTDLG_H */

