/*************************************************************************
 * @(#)SetTreeSelectionModel.cpp
 * author: Klaus.Koepernik@ifw-dresden.de
 * date:   18 May 2011
 *************************************************************************
 */

#include <QDebug>
#include "SetTreeSelectionModel.hh"
#include "MyDebug.hh"


/* ***********************************************************************
 *
 * ***********************************************************************
 */
void SetTreeSelectionModel::select(const QItemSelection &selection,
			    QItemSelectionModel::SelectionFlags command)
{
  //myDebug()<<"\nselectselection"<<selection<<command;


  QItemSelectionModel::select(selection,command);

  if(command&QItemSelectionModel::Deselect){
    if(!this->selection().contains(plastcurrent)){
      //myDebug()<<"nedd new";
      const QModelIndexList &mil=this->selection().indexes();
      if(mil.size()>0){
	plastcurrent=mil.last();
      }else{
	//myDebug()<<"really need new";
	plastcurrent=currentIndex();
	QItemSelectionModel::select(plastcurrent,QItemSelectionModel::Select);
      }
    }
    setCurrentIndex(plastcurrent,QItemSelectionModel::NoUpdate);

  }else{
    plastcurrent=currentIndex();
  }
  //myDebug()<<plastcurrent;
}

/* ***********************************************************************
 *
 * ***********************************************************************
 */
void SetTreeSelectionModel::onCurrentChanged(const QModelIndex &current,
					     const QModelIndex &//previous
					     )
{
  return;
  qDebug()<<current;
  QItemSelection sel=this->selection();
  if(!sel.contains(current)){
    sel.merge(QItemSelection(current,current),QItemSelectionModel::SelectCurrent);
    QItemSelectionModel::select(sel,QItemSelectionModel::SelectCurrent);
  }
}

/*EOF*/ 
