/* @(#)SetTreeView.h
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _SETTREEVIEW_H
#define _SETTREEVIEW_H 1

#include <QTreeView>

class FGObject;

class SetTreeView:public QTreeView{
  Q_OBJECT
public:
  SetTreeView(QWidget *parent=0);

signals:
  void myCurrentChanged(const QModelIndex &,const QModelIndex &);

protected slots:
  void currentChanged(const QModelIndex &current,const QModelIndex &previous);
  void onCollapsed(const QModelIndex & index);
};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _SETTREEVIEW_H */

