/*************************************************************************
 * @(#)WeightSelListView.cpp
 * author: Klaus.Koepernik@ifw-dresden.de
 * date:   01 Jun 2011
 *************************************************************************
 */

#include "WeightSelListView.hh"


/* ***********************************************************************
 *
 * ***********************************************************************
 */
void WeightSelSelectionModel::select(const QItemSelection &selection,
				     QItemSelectionModel::SelectionFlags command)
{
  //myDebug()<<"\nselectselection"<<selection<<command;


  QItemSelectionModel::select(selection,command);

  if(command&QItemSelectionModel::Deselect){
    if(!this->selection().contains(plastcurrent)){
      //myDebug()<<"nedd new";
      const QModelIndexList &mil=this->selection().indexes();
      if(mil.size()>0){
	plastcurrent=mil.last();
      }else{
	//myDebug()<<"really need new";
	plastcurrent=currentIndex();
	QItemSelectionModel::select(plastcurrent,QItemSelectionModel::Select);
      }
    }
    setCurrentIndex(plastcurrent,QItemSelectionModel::NoUpdate);

  }else{
    plastcurrent=currentIndex();
  }
  //myDebug()<<plastcurrent;
}



/*EOF*/ 
