/* @(#)WorldPropWdg.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _WORLDPROPWDG_H
#define _WORLDPROPWDG_H 1

#include "PropWdgBase.hh"
#include "ui_WorldPropWdg.h"

class World;

class WorldPropWdg:public PropWdgBase, private Ui::WorldPropWdg
{
  Q_OBJECT
 public:
  WorldPropWdg(QWidget *parent);
  ~WorldPropWdg();

  void setData(void *);
  void check(QString &msg);
  void applyData(void *);
  virtual void updateRequest(void *);

private:
  void setX(const World *,bool set0=true,bool set1=true);
  void setY(const World *,bool set0=true,bool set1=true);

};


#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _WORLDPROPWDG_H */

