/* @(#)XNYDlgControl.h
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _XNYDLGCONTROL_H
#define _XNYDLGCONTROL_H 1

#include <QWidget> 
#include "ui_XNYDlgControl.h"

class Page;
class IOControl;

class XNYDlgControl:public QWidget, protected Ui::XNYDlgControl
{
 Q_OBJECT
public:
  XNYDlgControl(QWidget *parent);
  ~XNYDlgControl();

  void setData(IOControl *iofc,const Page *page);
  IOControl *getData();

 private slots:
  void on_cmbGraph_currentIndexChanged(int);

 private:
  IOControl *piofc;
  const Page *ppage;
};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _XNYDLGCONTROL_H */

