/*************************************************************************
 * @(#)GraphAxis.cpp
 * author: magru@unas
 * date:   07 Jan 2014
 *************************************************************************
 */

#include "GraphAxis.hh"




/* ***********************************************************************
 *
 * ***********************************************************************
 */
bool GraphAxis::changed()const
{
  return pchanged;
}

/* ***********************************************************************
 *
 * ***********************************************************************
 */
void GraphAxis::setChanged(bool c)
{
  pchanged=c;

}




/* ***********************************************************************
 *
 * ***********************************************************************
 */
GraphAxes::GraphAxes(Graph *parent)
  :GraphObject(parent),pchanged(false)
{
  paxes.resize(2);
}

/* ***********************************************************************
 *
 * ***********************************************************************
 */
bool GraphAxes::changed()const
{
  for(int i=-1;++i<paxes.size();){
    if(paxes.at(i) && paxes.at(i)->changed())
      return true;
  }
  return pchanged;
}

/* ***********************************************************************
 *
 * ***********************************************************************
 */
void GraphAxes::setChanged(bool c)
{
  pchanged=c;
  for(int i=-1;++i<paxes.size();){
    paxes[i]->setChanged(c);
  }
}

/* ***********************************************************************
 *
 * ***********************************************************************
 */
void GraphAxes::reset()
{
  //  paxes.resize(0,true);

  setChanged(false);
    
}


/*EOF*/ 
