/*************************************************************************
 * @(#)GraphObject.cpp
 * author: Klaus.Koepernik@ifw-dresden.de
 * date:   27 Nov 2011
 *************************************************************************
 */

#include "GraphObject.hh"
#include "Graph.hh"
//#include "debug.hh"

static const char *pobjecttypes[]={
  "None",
  "World",
  "ViewBox",
  "LegendBox",
  "TextBox",
  "TicMarks",
  "Shape",
  "Function or Group",
  "Graph"
};

/* ***********************************************************************
 *
 * ***********************************************************************
 */
String GraphObject::printS()const
{
  return Sprintf("%s: %s: %x(%ld)",
		 (pgraph?pgraph->guiName(true)():""),
		 pobjecttypes[pobjecttype],
		 pupdaterequest,
		 pupdaterequestnumber
		 );
}



/*EOF*/ 
