#ifndef _TPARSER_H
#define _TPARSER_H 1

#include <stdio.h>
#include "fortrantypes.h"



struct parser_controll;
struct vartable;

typedef struct tsnamescan{
  struct vartable *var;
  struct tsnamescan *next;
} tsNAMSCAN;

#ifdef	__cplusplus
extern "C" {
#endif

  extern long parsefile(FILE **yyin,const char *fname,struct parser_controll *pc);

  extern long getValue(struct vartable *table,const char *name
		       ,void *result
		       ,long scalartype
		       ,const long result_len
		       ,const FPLOINTEGER rank
		       ,const FPLOINTEGER size[7]
		       ,const long asstring
		       );
  
  extern long setValue(struct vartable *table,const char *var
		       ,const char *value);
  
  extern long getDimensions(struct vartable *table,const char *name
			    ,FPLOINTEGER *rank,FPLOINTEGER size[7]);
  extern long getSizeArray(struct vartable *table,const char *name
			   ,const FPLOINTEGER sarank,const FPLOINTEGER sasize[7]
			   ,FPLOINTEGER *sizearray);
  

  extern void cleanup_namescan(struct tsnamescan *namescan);

  extern long getNameScan(struct vartable *table,const char *varname
			  ,long structuretypefilter /* do we look for something */ 
			  ,long scalartypefilter    /* specific? */
			  
			  
			  
			  ,struct tsnamescan *namescan  /* output: path through
							   table */
			  ,long depth
			  );

  extern long removeVariable(struct vartable *table,const char *varname);


#ifdef	__cplusplus
}
#endif

#endif /* _TPARSER_H */

