/*************************************************************************
 * @(#)HelpDlg.cpp
 * author: Klaus.Koepernik@ifw-dresden.de
 * date:   24 May 2009
 *************************************************************************
 */
#include <QTextStream>
#include <QFile>
#include "HelpDlg.hh"
#include "MyDebug.hh"
#include "Config.hh"
#include "SearchWidget.hh"

/* ***********************************************************************
 *
 * ***********************************************************************
 */
HelpDlg::HelpDlg(QWidget *parent,QWidget *base,const char *name,const QString &key)
  : BrainDialog(parent,base,name,false)
{
  setupUi(this);
  setWindowTitle(IDS_APP_NAME  + " Help" );

  tbrowPage->setFocus();
 
  wSearch->setTextWidget(tbrowPage);


  tbrowPage->showHelpForKeyword(key); 

//   QFile file(resource);
//   if (file.open(QIODevice::ReadOnly | QIODevice::Text)){
//     tbrowPage->setHtml(QTextStream(&file).readAll());
//   }

}


/* ***********************************************************************
 *
 * ***********************************************************************
 */
HelpDlg::~HelpDlg()
{
  //  myDebug() << "HelpDlg::~HelpDlg";
}

/* ***********************************************************************
 *
 * ***********************************************************************
 */
void HelpDlg::on_pbSearch_clicked()
{
  wSearch->startSearch();
}
