/* @(#)ToolButtons.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _TOOLBUTTONS_H
#define _TOOLBUTTONS_H 1

#include <QObject>

class QAction;
class QWidget;
class QString;
class QToolButton;


class ToolButtons
{
 public:
  ToolButtons();
  ~ToolButtons();


  void connectSlots(QWidget *pparent,
		    const char*insertSlot=0,const char*deleteSlot=0,
		    const char*upSlot=0,const char*downSlot=0);

  inline void connectSlot(QWidget *pparent,
		   const char*slotforall){
    connectSlots(pparent,slotforall,slotforall,slotforall,slotforall);
  }

  void createToolButtonsActions(QWidget *table
				,const QString &what
				,QToolButton *tbInsert=0
				,QToolButton *tbDelete=0
				,QToolButton *tbUp=0
				,QToolButton *tbDown=0
				);

 public:
  QAction *pinsertAction;
  QAction *pdeleteAction;
  QAction *pmoveUpAction;
  QAction *pmoveDownAction;
  
};




#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _TOOLBUTTONS_H */

