/*************************************************************************
 * @(#)ParserFunctions.cpp
 * author: magru@unas
 * date:   08 Jan 2014
 *************************************************************************
 */

#include <math.h>
#include <stdlib.h>
#include "ParserFunctions.hh"



const struct ParserFunctions::tsfuncdef ParserFunctions::funcs[]={
  {1,Sqrt ,"sqrt" ,sqrt ,NULL },
  {1,Cos  ,"cos"  ,cos  ,NULL },
  {1,Sin  ,"sin"  ,sin  ,NULL },
  {1,Tan  ,"tan"  ,tan  ,NULL },
  {1,Cot  ,"cot"  ,ParserFunctions::cot  ,NULL },
  {1,Acos ,"acos" ,acos ,NULL },
  {1,Asin ,"asin" ,asin ,NULL },
  {1,Atan ,"atan" ,atan ,NULL },
  {1,Abs  ,"abs"  ,fabs ,NULL },
  {1,Exp  ,"exp"  ,exp  ,NULL },
  {1,Log  ,"log"  ,log  ,NULL },
  {2,Atan2,"atan2",NULL ,atan2 },
  {2,Min  ,"min"  ,NULL ,ParserFunctions::dmin2 },
  {2,Max  ,"max"  ,NULL ,ParserFunctions::dmax2 },
  {2,Sign ,"sign" ,NULL ,ParserFunctions::sign2 },
  {1,Theta,"theta",ParserFunctions::theta ,NULL },
  {1,Log10,"log10",log10,NULL },
  {2,Add  ,"+"    ,NULL ,ParserFunctions::add },
  {2,Sub  ,"-"    ,NULL ,ParserFunctions::sub },
  {2,Div  ,"/"    ,NULL ,ParserFunctions::div },
  {2,Mul  ,"*"    ,NULL ,ParserFunctions::mul },
  {2,Pow  ,"^"    ,NULL ,ParserFunctions::pow }
};
const int ParserFunctions::MAXFUNS=sizeof(ParserFunctions::funcs)/
  sizeof(const struct ParserFunctions::tsfuncdef);







/*EOF*/ 
