/*************************************************************************
 * @(#)SetDescriptor.cpp
 * author: magru@unas
 * date:   08 Jan 2014
 *************************************************************************
 */

#include "SetDescriptor.hh"



/* ***********************************************************************
 *
 * ***********************************************************************
 */
extern MyDebug operator<<(MyDebug dbg, const SetDescriptor &d)
{
  if(d.graphid<0){
    dbg << "SetDescriptor: null";
  }else{
    dbg << "Graph"<<d.graphid+1<<" ";
    if(d.groupid>=0){
      dbg << "Group"<<d.groupid+1<<" ";
      if(d.setid>=0){
	dbg << "Set"<<d.setid+1<<" ";
	if(d.weightid>=0){
	  dbg << "Weight"<<d.weightid+1<<" ";
	}
	dbg << " (XY:"<<(d.xy==Xfp::Graph_X?"x":"y")<<")";

      }else{
	if(d.weightid>=0){
	  dbg << "Weight"<<d.weightid+1<<" ";
	}
	dbg << " (XY:"<<(d.xy==Xfp::Graph_X?"x":"y")<<")";
      }
    }
  }
  return dbg;
}




/*EOF*/ 
