/* @(#)FileActions.hh
 * author: magru@unas
 */

#ifndef _FILEACTIONS_HH
#define _FILEACTIONS_HH 1

#include <QWidget>
#include <QString>
//#include ""

/* ***********************************************************************
 *
 * ***********************************************************************
 */

class FileActions:public QObject
{
  Q_OBJECT;
public:
  FileActions(QWidget *parent,const QString &def);
  ~FileActions(){};
  

  QString load(const QString &title,const QString &dir,const QString &filter);
  QString save(const QString &title,const QString &dir,const QString &filter,
	       bool saveas=false);

  void setFileName(const QString &f,bool known);

  const QString &fileBaseName()const{return pfilebasename;};

protected:
private:
  QWidget *pparent;
  bool pknowfname;
  QString pfilename;
  QString pfilebasename;
};


#endif /* _FILEACTIONS_HH */

