/* @(#)ParameterDocument.hh
 * author: magru@unas
 */

#ifndef _PARAMETERDOCUMENT_HH
#define _PARAMETERDOCUMENT_HH 1

#include <QTextDocument>
#include <QString>
//#include ""

/* ***********************************************************************
 *
 * ***********************************************************************
 */

class ParameterDocument: public QObject
{
  Q_OBJECT;
public:
  ParameterDocument(QWidget *parent):QObject(0),pparent(parent),pstartupparamfilename(""),
				     pdocument(new QTextDocument(this)){};
  ~ParameterDocument(){
    if(pdocument) delete pdocument;pdocument=0;
  };

  const QString &paramFile()const{return pstartupparamfilename;};
  
  void loadDocument(const QString &pfilename);
  void saveDocument(const QString &pfilename);

  QTextDocument *textDocument(){return pdocument;};

protected:
private:
  QWidget *pparent;
  QString pstartupparamfilename;
  QTextDocument *pdocument;
};


#endif /* _PARAMETERDOCUMENT_HH */

