TEMPLATE = app
LANGUAGE = C++
QMAKE_CXXFLAGS += -Wno-deprecated   -DQXFSF   
QMAKE_CFLAGS +=    
QT += opengl
CONFIG += qt \
    help \
    warn_off \
    release
LIBS +=-lGLU
INCLUDEPATH += src  src/lib/TOOLS src/lib/IO src/lib/SYM src/lib/INTERFACE src/lib/COMMON src/core src/dialogs src/models src/opengl src/qt src/spacegroup
DEPENDPATH=./src/qt ./src/core ./src/dialogs ./src/models \
    ./src/spacegroup ./src/lib/CIF ./src/lib/COMMON\
    ./src/lib/INTERFACE ./src/lib/IO ./src/lib/SYM  ./src/lib/TOOLS\
    ./src/lib/BP
VPATH +=./ui/ ./src/ ./src/qt ./src/core ./src/dialogs ./src/models \
    ./src/spacegroup

SOURCES = \
	qt/Main_DMat.cpp\
	qt/DMEdit.cpp\
	qt/Valid.cpp\
	qt/DMConfig.cpp\
	core/DMDoc.cpp\
	core/PropertyTable.cpp\
	core/Settings.cpp\
	dialogs/AxisEdit.cpp\
	lib/COMMON/FString.cpp\
	lib/COMMON/Assorted.cpp\
	lib/COMMON/MyMath.cpp\
	lib/COMMON/Parser.cpp\
	lib/COMMON/MyDebug.cpp\
	lib/COMMON/SqMatrix.cpp\
	lib/COMMON/SqMatrixYlm.cpp\
	lib/COMMON/DMQuantAxis.cpp\
	lib/COMMON/Cmplx.cpp\
	lib/COMMON/Vec3.cpp\
	lib/IO/convtests.c\
	lib/IO/idparser.c\
	lib/IO/io.lex.yy.c\
	lib/IO/io.y.tab.c\
	lib/IO/ioparser.c\
	lib/IO/stdstack.c\
	lib/IO/table.c\
	lib/IO/tparser.c\
	lib/IO/vartable.c\
	lib/INTERFACE/cio.c\
	lib/INTERFACE/fortrantypes.c\
	lib/TOOLS/allocate.c\
	lib/TOOLS/cbuffer.c\
	lib/TOOLS/constants.c\
	lib/TOOLS/helper.c\
	lib/TOOLS/merror.c\
	lib/TOOLS/tools.c
#    ../../../../../../usr/share/qtcreator/gdbmacros/gdbmacros.cpp 
FORMS = \
	DMEdit.ui\
	AxisEdit.ui
HEADERS = \
	qt/DMEdit.hh\
	qt/Valid.hh\
	dialogs/AxisEdit.hh

TARGET = dmatedit
target.path = "../../../bin/"
INSTALLS += target
unix { 
    UI_DIR = .ui
    MOC_DIR = .moc
    OBJECTS_DIR = .obj
}
