/*************************************************************************
 * @(#)Atom.cpp
 * author: Klaus.Koepernik@ifw-dresden.de
 * date:   09 Aug 2009
 *************************************************************************
 */

#include "Atom.hh"
#include "MyDebug.hh"

using namespace XFPLO;
/* ***********************************************************************
 *
 * ***********************************************************************
 */
void Atom::print() const
{
  NSF("Atom::print");
  myDebug() << nsubfunc;
  myDebug("this(%p)\n",this);

  myDebug() << "index=" << index;
  myDebug() << "el=" << el();
  myDebug() << "sort=" << sort;
  myDebug() << "type=" << type;
  myDebug() << "site=" << site;
  myDebug() << tauD.printQ("tau");
  myDebug() << "lengthunit="<<lengthunit;
}



/*EOF*/ 
