/*************************************************************************
 * @(#)AtomPropPicker.cpp
 * author: Klaus.Koepernik@ifw-dresden.de
 * date:   10 Aug 2009
 *************************************************************************
 */

#include <stdlib.h>
#include "AtomPropPicker.hh"
#include "MyDebug.hh"

/* ***********************************************************************
 *
 * ***********************************************************************
 */
long AtomPropPicker::at(long i)
{
  if(i<atoms.size()){
    return atoms.at(i);
  }else{
    if(tmpatom>=0){
      return tmpatom;
    }else{
      myDebug() << "Oops, index out of range";
      exit(2);
      
    }
  }
}

/* ***********************************************************************
 *
 * ***********************************************************************
 */
int AtomPropPicker::size()const
{
  if(tmpatom>=0)
    return atoms.size()+1;
  else
    return atoms.size();
}


/*EOF*/ 
