/* @(#)IDCache.hh
 * author: magru@unas
 */

#ifndef _IDCACHE_HH
#define _IDCACHE_HH 1

#include "ValueArray.hh"
#include "FString.hh"

/* ***********************************************************************
 * 
 * ***********************************************************************
 */

/**
 * @brief A cache of unique IDs
 * 
 * We request to obtain a unique ID optionally starting with a given prefix.
 */

class IDCache{
public:
  IDCache(){}
  ~IDCache(){}
  void showIDCache()const;
  String makeUniqueName(const String &prefix="");
  void remove(const String &id){pidchache.remove(id);}
  void insert(const String &id){pidchache.append(id);}
  void clear(){pidchache.clear();}
protected:
private:
  ValueArray<String> pidchache;

};


#endif /* _IDCACHE_HH */

