/*************************************************************************
 * @(#)IsoColor.cpp
 * author: Klaus.Koepernik@ifw-dresden.de
 * date:   14 May 2010
 *************************************************************************
 */

#include "IsoColor.hh"
#include "ColorModel.hh"

/* ***********************************************************************
 *
 * ***********************************************************************
 */
IsoColor::IsoColor()
  :pouterfromdata(true),pinnerfromdata(false)
  ,poutercolor(0xffff0000),pinnercolor(0xff4c4c4c)
  ,pchanged(true)
  ,pcolormodel(new ColorModel())
{
  if(0){
    pcolormodel->setRainBow();
  }else{
    //pcolormodel->setTwoColors(0xffffff,0x88);
    pcolormodel->setMap();
  }
}


/*EOF*/ 
