/* @(#)Types.hh
 * author: magru@unas
 */

#ifndef _TYPES_HH
#define _TYPES_HH 1


#include "Cmplx.hh"

class String;

namespace XFPLO{

/* ***********************************************************************
 *
 * ***********************************************************************
 */

  enum DataTypes{TIunkown=0,TIlong=1,TIdouble=2,TICmplx=3};


  template<typename T>
  struct TypeInfo;
#define DEFINE_TYPE_INFO(X)						\
  template <>								\
  struct TypeInfo<X>{ typedef X Ttype; static DataTypes type;static const char* name; };

#define DECLARE_TYPE_INFO(X,Y)						\
  const char* TypeInfo<X>::name = #X;					\
  DataTypes TypeInfo<X>::type = Y;


  DEFINE_TYPE_INFO(double);
  DEFINE_TYPE_INFO(long);
  DEFINE_TYPE_INFO(Cmplx);

}
#endif /* _TYPES_HH */

 
