/* @(#)Worker.hh
 * author: magru@unas
 */

#ifndef _WORKER_HH
#define _WORKER_HH 1

#include <QObject>
#include <QApplication>
#include "MyDebug.hh"

/* ***********************************************************************
 *
 * ***********************************************************************
 */


class Worker : public QObject {
  Q_OBJECT;
  
public:
  Worker(long nn=1,bool updatePanZoom=false):QObject(),N(nn),x(1),
				       pupdatePanZoom(updatePanZoom){}
  ~Worker(){}
 
public slots:
  void process(){
    pstopit=false;
    for(long i=-1;++i<N;){
      myDebug()<<"pstopit"<<i<<pstopit;
      qApp->processEvents();
      if(pstopit) break;
      for(long j=-1;++j<N;){
	x+=j;
      }
      //myDebug()<<"Hello world"<<i<<x;
    }
    emit done(pupdatePanZoom);
    emit finished();
  }
  void requestInterrupt(){
    myDebug()<<"received requestInterrupt";
    pstopit=true;
  }
 
signals:
  void finished();
  void done(bool);
  //void error(QString err);
 
private:
  // add your variables here
  long N;
  double x;
  bool pupdatePanZoom;
  bool pstopit;
};



#endif /* _WORKER_HH */

