/* @(#)AtomMarkerPropertyWidget.h
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _ATOMMARKERPROPERTYWIDGET_H
#define _ATOMMARKERPROPERTYWIDGET_H 1

#include "ui_AtomMarkerPropertyWidget.h"


class AtomMarkerProperties;

class AtomMarkerPropertyWidget: public QWidget
, private Ui::AtomMarkerPropertyWidget
{
  Q_OBJECT;
 public:
  AtomMarkerPropertyWidget(QWidget *parent);
  
  void setData(AtomMarkerProperties *amp);

 private slots:
  void on_cbxSpecular_clicked(bool);
  void on_pbColor_colorChanged(QRgb rgb);
  void on_dspbxBrightness_valueChanged(double);

 private:
  AtomMarkerProperties *pamp;

};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _ATOMMARKERPROPERTYWIDGET_H */

