/* @(#)CanvasDlg.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _CANVASDLG_H
#define _CANVASDLG_H 1

#include "ui_CanvasDlg.h"
#include "CanvasSize.hh"

class CanvasDlg : public QDialog, private Ui::CanvasDlg
{
  Q_OBJECT
    
public:
  CanvasDlg(QWidget *parent = 0,const char *name=0);

  void setData( const CanvasSize &c);
  void getData( CanvasSize &c);

protected slots:
  virtual void accept();
  virtual void reject(){ QDialog::reject(); };

private:
  CanvasSize t_c;
};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _CANVASDLG_H */

