/* @(#)DisplayCellWidget.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _DISPLAYCELLWIDGET_H
#define _DISPLAYCELLWIDGET_H 1


#include "ui_DisplayCellWidget.h"
#include "Xf.hh"

class DisplayCell;
namespace XFPLO{
  class Symmetry;
}
using namespace XFPLO;

class DisplayCellWidget: public Sheet, private Ui::DisplayCellWidget
{
  Q_OBJECT;
 public:
  DisplayCellWidget(QWidget *parent);
  ~DisplayCellWidget();


  void setData(DisplayCell *,const Symmetry *sym);

  virtual bool commit();

  virtual bool isValid();

public slots:
  void onActiveToggled(const DisplayCell *);

 private slots:
  void onGrpbxToggled();

private:
  



 private:
  DisplayCell *t_dc;
  QList<Xf::SceeneUnits>rimRmapper;


};


#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _DISPLAYCELLWIDGET_H */

