/*************************************************************************
 * @(#)ElidLabel.cpp
 * author: Klaus.Koepernik@ifw-dresden.de
 * date:   21 Jul 2009
 *************************************************************************
 */

#include <QResizeEvent>
#include "ElidLabel.hh"
#include "MyDebug.hh"

void ElidLabel::resizeEvent(QResizeEvent *event)
{
  myDebug() << "ElidLabel::resizeEvent";

  event->size().width();
  QLabel::setText(fontMetrics().elidedText (mytext,Qt::ElideLeft,width()));


  QLabel::resizeEvent(event);
}


/*EOF*/ 
