/* @(#)FSToolBox.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _FSTOOLBOX_H
#define _FSTOOLBOX_H 1

#include <QDockWidget>
#include "ToolBox.hh"
#include "ui_FSToolBox.h"


class FSW;
class FSDoc;
class QSignalMapper;

class FSToolBox : public ToolBox, private Ui::fsToolBox
{
  Q_OBJECT
 public:
  FSToolBox(FSW *parent,FSDoc *d);
  ~FSToolBox();

  void updateToolBox();
  void setMuted(bool m){muted=m;};


 signals:

  
 private slots:


  void on_tbShowLegend_toggled(bool onoff);
  void on_tbShowLegendUnits_toggled(bool onoff);

  void on_tbShowHideFermiSurface_toggled(bool onoff);
  void on_tbSpecPoi_clicked();




 private:
  FSW *fsw;
  FSDoc *doc;


  friend class FSW;


};


#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _FSTOOLBOX_H */

