/* @(#)InpConDlg.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _INPCONDLG_H
#define _INPCONDLG_H 1

#include "ui_InpConDlg.h" 

class InpConDlg : public BrainDialog, private Ui::InpConDlg
{
  Q_OBJECT
    
public:
  InpConDlg(QWidget *parent,QWidget *base,const char *name);

  void setData( long restrict, long bandmin, long bandmax );
  void getData( long &restrict, long &bandmin, long &bandmax, long &chn );


protected slots:
  virtual void accept() ;
  virtual void reject() { BrainDialog::reject(); };

private:
  long t_bandmin;
  long t_restrict;
  long t_bandmax;

};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _INPCONDLG_H */

