/* @(#)KexpDlg.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _KEXPDLG_H
#define _KEXPDLG_H 1

#include "ui_KexpDlg.h"

class KexpDlg : public BrainDialog, private Ui::KexpDlg
{
  Q_OBJECT
    
public:
  KexpDlg(QWidget *parent,QWidget *base,const char *name);

  void setData( long exptet, long part, const long * offset );
  void getData( long * exptet, long * part, long * offset, long * chn );


protected slots:
  virtual void accept();
  virtual void reject(){ BrainDialog::reject(); };

private slots:
  void setEnabled();

private:
  long t_part;
  long t_lowoff;
  long t_upoff;
  long t_exptet;


};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _KEXPDLG_H */

