/* @(#)MeshDlg.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _MESHDLG_H
#define _MESHDLG_H 1

#include "ui_MeshDlg.h"

class Energies;

class MeshDlg : public BrainDialog, private Ui::MeshDlg
{
  Q_OBJECT
    
public:
  MeshDlg(QWidget *parent,QWidget *base,const char *name);

  void setData( const Energies *erg );
  void getData( Energies *erg );

protected slots:
  virtual void accept();
  virtual void reject(){ BrainDialog::reject(); };

private slots:
  //  void on_grpbxManual_clicked();
  void slotHelp();


private:
  long t_nx,t_ir;
  long t_nmx,t_nmy,t_nmz;
  bool t_manual;
  bool t_useboundarycell;
};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _MESHDLG_H */

