/* @(#)MyListView.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _MYLISTVIEW_H
#define _MYLISTVIEW_H 1

#include <QListView>

class MyListView:public QListView
{
  Q_OBJECT
 public:
  MyListView( QWidget * parent = 0 )
    :QListView(parent){};
 signals:
  void currentItemChanged(const QModelIndex &,const QModelIndex &);
 protected:
  virtual void currentChanged(const QModelIndex &current
			      ,const QModelIndex &previous){
    QListView::currentChanged(current,previous);
    emit currentItemChanged(current,previous);
  }
};


#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _MYLISTVIEW_H */

