/* @(#)OptDlg.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _OPTDLG_H
#define _OPTDLG_H 1

#include "ui_OptDlg.h"
#include "Vlevel.hh"


class OptDlg : public BrainDialog, private Ui::OptDlg
{
  Q_OBJECT
    
public:
  OptDlg(QWidget *parent,QWidget *base,const char *name);

  void setData( const Vlevel &vlevel, double tol );
  void getData( Vlevel &vlevel, double &tol, long &chn );

protected slots:
  virtual void accept();
  virtual void reject(){ BrainDialog::reject(); };

private:
  Vlevel t_vlevel;
  QString t_tol;


};


#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _OPTDLG_H */

