/*************************************************************************
 * @(#)PlotDlg.cpp
 * author: Klaus.Koepernik@ifw-dresden.de
 * date:   24 May 2009
 *************************************************************************
 */

#include <QCloseEvent> 
#include "PlotDlg.hh"
#include "Config.hh"

/* ***********************************************************************
 *
 * ***********************************************************************
 */
PlotDlg::PlotDlg(QWidget *parent,QWidget *base,const char *name)
  : ProtoDlg(parent,base,name)
{
  setupUi(this);
  setUp(pbAccept,pbClose,pbCancel,0,"PlotDialog",": Plot");
  
}

/* ***********************************************************************
 *
 * ***********************************************************************
 */
void PlotDlg::getData(long &cubes,long &grid,long &gridi,long &tetra
		      ,long &chn)
{

  cubes=cbCubes->isChecked();
  chn = ( t_cubes != cubes );
  t_cubes=cubes;
  grid=cbGrid->isChecked();
  chn |= ( t_grid != grid );
  t_grid=grid;
  gridi=cbGridi->isChecked();
  chn |= ( t_gridi != gridi );
  t_gridi=gridi;
  tetra=cbTetra->isChecked();
  chn |= ( t_tetra != tetra );
  t_tetra=tetra;

}

/* ***********************************************************************
 *
 * ***********************************************************************
 */
void PlotDlg::setData(long cubes,long grid,long gridi,long tetra)
{
  t_cubes=cubes;
  cbCubes->setChecked(cubes);
  t_grid=grid;
  cbGrid->setChecked(grid);
  t_gridi=gridi;
  cbGridi->setChecked(gridi);
  t_tetra=tetra;
  cbTetra->setChecked(tetra);



  
}








/*EOF*/ 
