/* @(#)StatusConfigDlg.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _STATUSCONFIGDLG_H
#define _STATUSCONFIGDLG_H 1

#include "ui_StatusConfigDlg.h"
#include "Xf.hh"

class StatusConfigDlg: public QDialog,private Ui::StatusConfigDlg
{
  Q_OBJECT;
public:

  StatusConfigDlg(QWidget *parent);
  void setData(Xf::LengthUnits lu);
  void getData(Xf::LengthUnits &lu);
  
protected slots:
  virtual void accept();
  virtual void reject(){ QDialog::reject(); };
private:
  bool dataAcceptable();

private:
  Xf::LengthUnits plengthunit;
};

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _STATUSCONFIGDLG_H */

