/* @(#)SubGroupGenDlg.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _SUBGROUPGENDLG_H
#define _SUBGROUPGENDLG_H 1

#include "ui_SubGroupGenDlg.h"
#include "Group.hh"

using namespace XFPLO;



class SubGroupGenDlg: public QDialog,private Ui::SubGroupGenDlg
{
Q_OBJECT
public:
  SubGroupGenDlg(QWidget *parent);
  
  
  void setData(const ValueArray<Operation> *ops
	       ,const ValueArray<int> subgroupgenerators);

  void getData(ValueArray<int> &subgroupgenerators);

private slots:
  void on_pbUnset_clicked();
  void onItemChanged(QListWidgetItem *);

protected slots:
  virtual void accept();
  virtual void reject(){ QDialog::reject(); };

private:
  const ValueArray<Operation> *pops;
};


#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _SUBGROUPGENDLG_H */

