/* @(#)IntegerTricks.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _INTEGERTRICKS_HH
#define _INTEGERTRICKS_HH 1


#include "ValueArray.hh"
#include "Fractional.hh"
class IMatrix;
class FMatrix;
class Vec3;

/* ***********************************************************************
 *
 * ***********************************************************************
 */

namespace IntegerTricks{

  void reduceToSmallestLatticeBasis(ValueArray<FMatrix> &tr);  
  
  long decompAVeqB(long *A,long *V,long rows,long cols,bool detnotone,long prot=0);
  //return rank
  long decompAVeqBF(Fractional *A,long *V,long rows,long cols,bool detnotone);  //return rank

  void enlarged_lattice_site_list(double *U,ValueArray<Vec3> &sites,long prot=0);

}


#endif /* _INTEGERTRICKS_HH */

