/* @(#)Pair.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _MYPAIR_H
#define _MYPAIR_H 1


template <class T1,class T2>

class Pair{
 public:
  Pair(){};
  Pair(const T1 &vv1):v1(vv1){};
  Pair(const T1 &vv1,const T2 &vv2):v1(vv1),v2(vv2){};

  bool operator==(const Pair &other){
    return (v1==other.v1);
  }

  bool operator<(const Pair &other){
    return (v1<other.v1);
  }; 
  bool operator>(const Pair &other){
    return (v1>other.v1);
  };
   
 public:
  T1 v1;
  T2 v2;
};

template <class T1,class T2>
inline Pair<T1,T2> makePair(const T1 &a,const T2 &b){
  return Pair<T1,T2>(a,b);
}


#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _MYPAIR_H */

