/*************************************************************************
 * @(#)Sysinfo.cpp
 * author: Klaus.Koepernik@ifw-dresden.de
 * date:   10 Oct 2008
 *************************************************************************
 */

#include <unistd.h>   
#include <time.h> 
//#include <stdio.h> 

#include "Sysinfo.hh"


/* ***********************************************************************
 *
 * ***********************************************************************
 */

String Sysinfo::getHostname()
{ 
  char host[5001]; gethostname(host,5000); 
  return host;
}

/* ***********************************************************************
 *
 * ***********************************************************************
 */
String Sysinfo::getDateAndTime()
{
  
  time_t t;  

  (void)time(&t);
  
  return Sprintf("%s",ctime(&t)).chop(" \t\n");
}


/* ***********************************************************************
 *
 * ***********************************************************************
 */
String Sysinfo::getCWDir()
{

  size_t size=100;
  char *cwd=0;
  
 next:;
  if(cwd){ delete [] cwd ; cwd=0; }
  size*=2;
  cwd=new char[size];
  
  if(getcwd(cwd,size)==NULL){
    //(void)fprintf(stderr,"to small: %ld\n",(long)size);
    goto next;
  }
  
  
  String s(cwd);
  delete [] cwd;
  return s;
}

/*EOF*/ 
