/* @(#)generatetau.h
 */

#ifndef _GENERATETAU_H
#define _GENERATETAU_H 1

struct tssymmetry;

#ifdef	__cplusplus
extern "C" { 
#endif

  /* backfold p to first octant */
  extern double firstcube(double *p,const double *cell,const double *rcell);

  extern void generatetau(const struct tssymmetry *sym,long *nsite,long nsort
			  ,const double *tau,double *taus
			  ,long *isrt ,double tol);
  extern void generatetau_mol(const struct tssymmetry *sym,long *nsite
			      ,long nsort,const double *tau,double *taus
			      ,long *isrt ,double tol);

#ifdef	__cplusplus
}
#endif


#endif /* _GENERATETAU_H */

