/************************************************************************
 *
 * graphic package for FPLO
 * (C) Klaus Koepernik April '01
 *
 * **********************************************************************
 */
#ifndef _CBUFFER_H_
#define _CBUFFER_H_
#include <stdio.h> 


/* manage a resizable char * buffer */

typedef struct tscbuffer{
  char *buffer;
  char *tail;
  long buflen;
  long minlen,incr;
} tsCBUFFER;



#ifdef	__cplusplus
extern "C" {
#endif

  extern void CBInit(tsCBUFFER *b,long minl,long incr);
  extern long CBStart(tsCBUFFER *b);
  extern void CBEnd(tsCBUFFER *b);
  extern void CBPrint(tsCBUFFER *b,FILE *FH);
  extern long CBAppend(tsCBUFFER *b,long exlen,const char *fmt,...);
  
  /*  return pointer to buffer */
  extern const char * CBGetBuffer(tsCBUFFER *b);

#ifdef	__cplusplus
}
#endif


#endif /* _CBUFFER_H_ */
/* EOF */
