/* @(#)constants.c 
   19 Apr 2005
   Klaus.Koepernik@ifw-dresden.de
 */


#include "constants.h" 
/* #include "" */


/* ***********************************************************************
 * local defines
 * ***********************************************************************
 */

/* ***********************************************************************
 * forward prototypes
 * ***********************************************************************
 */

/* (Planck constant) */
const double constant_hbar=1.054571628e-34; /* J s */ 
/* (electron rest mass) */
const double constant_me=9.10938215e-31;   /* kg */
/* (Bohr radius/Angstroem) */
const double constant_aBtoAng=0.5291772108;
/* (Hartree/eV) */
const double constant_hatoev=27.2113845; 
/* (Re_Sigma/(1/(Ohm*cm))) */
const double constant_resigtoinvOhmcm=134.5188;
/* (Angstroem) */
const double constant_angstroem=1.0e-10; /* m */
/* speed of light in vacuum */
const double speed_of_light_mpers=299792458.0; /* m/s */


/* EOF */
