#include <stdlib.h>
#include <errno.h>
#include <stdio.h>
#include "helper.h"
#include "merror.h"







/* ***********************************************************************
 * let pass through if pointer test is 0
 * ***********************************************************************
 */
long  lassert(long t,const char *section,const char *test)  
{
  if(t==0){
    (void)sprintf(errorbuffer,"error(%s):  %s",section,test);
    return 0;
  }
  return 1;
  
}

/* ***********************************************************************
 * let pass through if pointer t is not NULL
 * ***********************************************************************
 */
long  myassert(const void *t,const char *section,const char *pointer)  
{
  if(t==NULL){
    (void)sprintf(errorbuffer,"error(%s):  %s==NULL!",section,pointer);
    return 0;
  }
  return 1;
  
}
