/* @(#)RepAutoGlyph.hh
 * author: magru@unas
 */

#ifndef _REPAUTOGLYPH_HH
#define _REPAUTOGLYPH_HH 1

#include "Representation.hh"
#include "MyQRgb.hh"


namespace XFPLO{
  
  
  class Field;
  
  /* ***********************************************************************
   *
   * ***********************************************************************
   */
  
  
  class RepAutoGlyph: public Representation{
  public:
    RepAutoGlyph(OGLView *oglview);
    virtual ~RepAutoGlyph(){}
    
    
    void mark(const String &what){pwhat=what;}
    
    const String &marked()const{return pwhat;}
    
    void setColor(QRgb c){pcolor=c;}
    QRgb color()const {return pcolor;}
    
    
    virtual bool cascadingUpdate(const String &prefix);
    
    virtual void draw(OGLView *oglview);
    
  private:
    String pwhat;
    QRgb pcolor;
  };
  
}

#endif /* _REPAUTOGLYPH_HH */

