/* @(#)RepBoundingBox.hh
 * author: magru@unas
 */

#ifndef _REPBOUNDINGBOX_HH
#define _REPBOUNDINGBOX_HH 1

#include "Representation.hh"


class OGLView;

namespace XFPLO{

class Field;
class Polyhedron;

/* ***********************************************************************
 *
 * ***********************************************************************
 */


class RepBoundingBox: public Representation{
public:
  RepBoundingBox(OGLView *oglview);
  virtual ~RepBoundingBox();
    
  virtual bool hasTransparency()const;


  const Polyhedron *polyhedron()const;

  virtual bool cascadingUpdate(const String &prefix);

  virtual void draw(OGLView *oglview);
  
private:
  Polyhedron *ppoly;
};

}


#endif /* _REPBOUNDINGBOX_HH */

