/* @(#)RepVolume.hh
 * author: magru@unas
 */

#ifndef _REPVOLUME_HH
#define _REPVOLUME_HH 1

#include "Representation.hh"
#include "MyQRgb.hh"

class OGLView;

namespace XFPLO{
  
  class Field;
  
  /* ***********************************************************************
   *
   * ***********************************************************************
   */
  
  class RepVolume: public Representation{
  public:
    RepVolume(OGLView *oglview);
    virtual ~RepVolume(){}
    
    
    void setColor(QRgb c){pcolor=c;}
    QRgb color()const {return pcolor;}
    
    virtual bool cascadingUpdate(const String &prefix);

    bool showNormals()const{return pshownormals;}
    void setShowNormals(bool s){pshownormals=s;pisdirty=true;}
    
    virtual void draw(OGLView *oglview);
    
  private:
    const Field *pfield;
    String pwhat;
    QRgb pcolor;
    bool pshownormals;
  };  
  
}


#endif /* _REPVOLUME_HH */

