/* @(#)Interrupt.hh
 * author: Klaus.Koepernik@ifw-dresden.de
 */

#ifndef _INTERRUPT_H
#define _INTERRUPT_H 1

#include <QApplication>
#include <QObject>
//#include "MyDebug.hh"

class Interrupt:public QObject
{
  Q_OBJECT;
public:
  Interrupt():QObject(),pinterruptrequest(false){};

  void request(bool r=true){pinterruptrequest=r;
    if(r){
      //myDebug()<<"emit interuptRequested()";
      emit interuptRequested();
    }
  }
  bool requested(){
    qApp->processEvents();
    return pinterruptrequest;
  };

signals:
  void interuptRequested();

private:
  bool pinterruptrequest;
};


extern Interrupt interrupt;


#ifdef	__cplusplus
extern "C" {
#endif

#ifdef	__cplusplus
}
#endif


#endif /* _INTERRUPT_H */

